<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2006-10-20 08:41:15'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='<ANY>'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$remove.wsdl.docs';
		param.type='boolean';
	}
	PARAM={
		param.name='$remove.xsd.anns';
		param.type='boolean';
	}
	PARAM={
		param.name='$showSeeLink';
		param.type='boolean';
		param.defaultValue='true';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<FOLDER>
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='text';
			txtfl.separator.text='; ';
		}
		<HEADER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				COND='getBooleanParam("$remove.wsdl.docs") ||
getBooleanParam("$remove.xsd.anns")'
				FMT={
					txtfl.separator.text=', ';
				}
				<HEADER>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='w/o'
									</TEXT_CTRL>
									<SEPARATOR>
									</SEPARATOR>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("$remove.wsdl.docs")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='(n = countElementsByLPath(".//wsdl:documentation")) > 0 ?
 "documentations (" + toString(n) + ")"'
										FMT={
											ctrl.option.text.noBlankOutput='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("$remove.xsd.anns")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										EXPR='(n = countElementsByLPath(".//xs:annotation")) > 0 ?
 "annotations (" + toString(n) + ")"'
										FMT={
											ctrl.option.text.noBlankOutput='true';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				COND='getBooleanParam("$showSeeLink")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='space';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='see'
								<DOC_HLINK>
									HKEYS={
										'contextElement.id';
										'"xml-source-location"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='within'
							</TEXT_CTRL>
							<DATA_CTRL>
								EXPR='findAncestor("xs:schema") != null ? "schema" : "WSDL"'
							</DATA_CTRL>
							<TEXT_CTRL>
								TEXT='source'
							</TEXT_CTRL>
							<PANEL>
								COND='output.format.supportsPageRefs'
								FMT={
									ctrl.size.width='153.8';
									ctrl.size.height='38.3';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<SEPARATOR>
												FMT={
													txtfl.separator.type='text';
													txtfl.separator.text=': ';
												}
											</SEPARATOR>
											<TEXT_CTRL>
												TEXT='p.'
											</TEXT_CTRL>
											<DATA_CTRL>
												DOCFIELD='page-htarget'
												FMT={
													ctrl.option.noHLinkFmt='true';
													text.hlink.fmt='none';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'"xml-source-location"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
		<FOOTER>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</FOOTER>
	</FOLDER>
</ROOT>
CHECKSUM='IaxmuOSIMqs9m7ynlYD6vAqDL9UdYOBAKm4EJVyPWlY'
</FLEXDOCXYZ_TEMPLATE>