<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2005-04-26 03:31:00'
LAST_UPDATE='2021-11-28 13:49:08'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-xsddoc2'
APP_NAME='FlexDoc/XML XSDDoc'
APP_VER='2.9.5'
APP_AUTHOR='Copyright © 2005-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='xsddoc'
ROOT_ETS={'xs:%element';'xs:complexType';'xs:group'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXSD';
		param.type='GOMElement';
	}
	PARAM={
		param.name='$title';
		param.title='Title of the compoment being documented';
		param.type='string';
	}
	PARAM={
		param.name='$contentModelKey';
		param.title='map key for "content-model-elements"';
		param.description='The key for "content-model-elements" maps to find items associated with this component';
		param.type='Object';
		param.defaultValue.expr='contextElement.id';
	}
	PARAM={
		param.name='$elementCount';
		param.title='number of all content elements';
		param.description='total number of content elements declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (! instanceOf ("xs:any"))
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$elementWildcardCount';
		param.title='number of all element wildcards';
		param.description='total number of element wildcards declared for this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (instanceOf ("xs:any"))
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementCount';
		param.title='number of elements defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (
    ! instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$ownElementWildcardCount';
		param.title='number of element wildcards defined in this component';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "content-model-elements", 
  getParam("$contentModelKey"),
  BooleanQuery (
    instanceOf ("xs:any") &&
    findPredecessorByType("xs:%element|xs:complexType|xs:group").id 
    == rootElement.id
  )
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$allCount';
		param.title='number of all definitions';
		param.type='integer';
		param.defaultValue.expr='getIntParam("$elementCount") +
getIntParam("$elementWildcardCount")';
		param.fixed='true';
	}
	PARAM={
		param.name='$ownCount';
		param.title='number of all definitions specified in this component';
		param.type='integer';
		param.defaultValue.expr='getIntParam("$ownElementCount") +
getIntParam("$ownElementWildcardCount")';
		param.fixed='true';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='doc.comp.contentElements';
		param.title='Content Element Detail';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.include';
		param.title='Include';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.contentElements.include.local';
		param.title='Local';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='all;simpleType;none';
	}
	PARAM={
		param.name='doc.comp.contentElements.include.references';
		param.title='References';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.include.wildcards';
		param.title='Wildcards';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.include.inherited';
		param.title='Inherited';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile';
		param.title='Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.form';
		param.title='Form';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.defaultValue='non_default';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.abstract';
		param.title='Abstract';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.block';
		param.title='Block';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.block.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.block.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.final';
		param.title='Final';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.final.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.final.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.subst';
		param.title='Subst.Gr';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.subst.heads';
		param.title='List of group heads';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.subst.members';
		param.title='List of group members';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.default';
		param.title='Default Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.fixed';
		param.title='Fixed Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.nillable';
		param.title='Nillable';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.profile.defined';
		param.title='Definition Location';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep';
		param.title='XML Representation Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep.for.element';
		param.title='Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='local;any';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep.for.type';
		param.title='With Types';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='complexType;simpleType;any';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep.heading';
		param.title='Show Heading';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xmlRep.sorting';
		param.title='Sorting';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent';
		param.title='Simple Content';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent.model';
		param.title='Datatype Model';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent.restrictions';
		param.title='Restrictions';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent.restrictions.annotation';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent.default';
		param.title='Default Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.simpleContent.fixed';
		param.title='Fixed Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.type';
		param.title='Type Detail';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.for.element';
		param.title='Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='local;any';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.for.type';
		param.title='Types';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='simpleType;any';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.for.typeDecl';
		param.title='Type Declarations';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='anonymous;any';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.annotation';
		param.title='Annotation';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.deriv.tree';
		param.title='Type Derivation Tree';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.deriv.simpleContent';
		param.title='Simple Content Derivation';
		param.group='true';
		param.type='enum';
		param.enum.values='local;full;none';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.deriv.simpleContent.facets';
		param.title='Facets';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.type.deriv.simpleContent.annotations';
		param.title='Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xml';
		param.title='XML Source';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xml.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.comp.contentElements.xml.remove.anns';
		param.title='Remove Annotations';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
		param.defaultValue='true';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message (Small)';
		style.id='cs2';
		text.font.size='9';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	PAR_STYLE={
		style.name='Derivation Tree Heading (Small)';
		style.id='ps1';
		text.font.size='8';
		text.font.style.bold='true';
		text.color.foreground='#990000';
		par.margin.bottom='6';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Derivation Tree Method (Small)';
		style.id='cs3';
		text.font.name='Verdana';
		text.font.size='7';
		text.color.foreground='#F59200';
	}
	CHAR_STYLE={
		style.name='Derivation Tree Type (Small)';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='7.5';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs5';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Description (Tiny)';
		style.id='cs6';
		text.font.name='Arial';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5 (Mono)';
		style.id='ps3';
		text.font.name='Courier New';
		text.font.size='9';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 6';
		style.id='ps4';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
		text.font.style.italic='true';
		text.color.background='#CCCCFF';
		text.color.opaque='true';
		par.margin.top='7';
		par.margin.bottom='7';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs7';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs8';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs9';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs10';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps5';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs11';
		text.font.name='Courier New';
		text.font.size='8';
	}
	CHAR_STYLE={
		style.name='Property Note';
		style.id='cs12';
		text.font.name='Tahoma';
		text.font.size='8';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps6';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps7';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	TABLE_STYLE={
		style.name='Representation Box';
		style.id='ts1';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
		table.page.keepTogether='true';
	}
	CHAR_STYLE={
		style.name='XML Rep (Small)';
		style.id='cs13';
		text.font.name='Courier New';
		text.font.size='7.5';
	}
	CHAR_STYLE={
		style.name='XML Rep Attribute Name (Small)';
		style.id='cs14';
		text.font.name='Courier New';
		text.font.size='7.5';
		text.color.foreground='#990000';
	}
	CHAR_STYLE={
		style.name='XML Rep Content Model (Small)';
		style.id='cs15';
		text.font.name='Verdana';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='XML Rep Heading (Small)';
		style.id='ps8';
		text.font.size='9';
		text.font.style.bold='true';
		text.color.foreground='#990000';
		par.margin.bottom='2';
	}
	CHAR_STYLE={
		style.name='XML Rep Markup (Small)';
		style.id='cs16';
		text.font.name='Courier New';
		text.font.size='7.5';
		text.color.foreground='#0000FF';
		text.spacing.nbsp='true';
	}
	CHAR_STYLE={
		style.name='XML Rep Name (Small)';
		style.id='cs17';
		text.font.name='Courier New';
		text.font.size='7.5';
		text.color.foreground='#990000';
	}
	CHAR_STYLE={
		style.name='XML Rep Value (Small)';
		style.id='cs18';
		text.font.name='Courier New';
		text.font.size='7.5';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts2';
		table.autofit='false';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs9';
}
<ROOT>
	<ELEMENT_ITER>
		STEP_EXPR='// schema component where the element/wildcard was defined

setVar (
  "definitionLocation",
  findPredecessorByType("xs:%element|xs:complexType|xs:group")
)'
		TARGET_ETS={'xs:%element';'xs:any'}
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='// which local elements are documented here
local = getStringParam("doc.comp.contentElements.include.local");

findElementsByKey (
  "content-model-elements",

  // the key to find all items associated with this component
  getParam("$contentModelKey"),

  // filter according template parameters
  BooleanQuery ({
    // otherwise, when this is a local element, reference or wildcard, check if such
    // a kind is requested to be printed
    (getAttrValue("name") != null ?  // case of local element
       local == "all" || local == "simpleType" && ! (

         // test if the element\'s type is complex one
         // (when the type is undefined, it is considered simple)

         findElementByKey ("element-types", contextElement.id).instanceOf("xs:%complexType")
       )
     :
     getAttrValue("ref") != null ? getBooleanParam("doc.comp.contentElements.include.references")
     :
     instanceOf ("xs:any") && getBooleanParam("doc.comp.contentElements.include.wildcards")
    )
    &&
    // at last, if inherited definitions should be excluded, test if this one is
    // specified in the current component (passed as the template\'s root element)

    (getBooleanParam("doc.comp.contentElements.include.inherited") ||
     findPredecessorByType("xs:%element|xs:complexType|xs:group").id == rootElement.id)
  })
)'
		SORTING='by-expr'
		SORTING_KEY={expr='instanceOf("xs:any") ? callStockSection("Any Element")
: (refQName = getAttrQNameValue("ref")) != null ? 
      toXMLName (refQName, Array (rootElement, contextElement))
  : callStockSection("Component Name")',ascending}
		SORTING_COND='getBooleanParam("doc.comp.contentElements.sorting")'
		DEMO_LIMIT_EXPR='instanceOf("xs:%localElement") && getAttrValue("name") != "" ?
  checkDemoLimit("elements")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"content-element-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Content Element Detail'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs8';
								}
							</SEPARATOR>
							<SS_CALL_CTRL>
								SS_NAME='scope'
								FMT={
									text.style='cs7';
								}
							</SS_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				DESCR='when the element is defined locally'
				COND='getAttrValue("name") != ""'
				MATCHING_ET='xs:%element'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"content-element-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/element.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<DATA_CTRL>
										EXPR='name = getAttrStringValue("name");
schema = findAncestor ("xs:schema");

form = hasAttr("form") ? getAttrValue("form") : 
          schema.getAttrValue ("elementFormDefault");

(form == "qualified")
  ? toXMLName (schema.getServiceAttr("targetNamespace").toString(), name,
               Array (rootElement, contextElement))
  : name'
										FMT={
											ctrl.size.width='284';
											ctrl.size.height='17';
										}
										<DOC_HLINK>
											DESCR='first, try to reach the element\'s global documentation (if exists)'
											CONTEXT_ELEMENT_EXPR='// if this local element is documented globally,
// switch to the unifier via which it is documented
// (the unifier may be this element itself)

findElementByKey (
  "globally-documented-local-elements", contextElement.id
)'
											MATCHING_ET='xs:%element'
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
										<DOC_HLINK>
											DESCR='otherwise, try to link to the definition location of this element in the XML schema source'
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'"xml-source-location"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")'
										CONTEXT_ELEMENT_EXPR='// if this local element is documented globally via a unifier,
// switch to that unifier

el = findElementByKey (
  "globally-documented-local-elements",
  contextElement.id
);

// if non-null returned, the element is documented globally and
// the necessary hypertarget exists; otherwise check other hypertargets
// (this, in effect, works as another enabling condition)

el != null ? el :
  findHyperTarget (
    Array (
      contextElement.id, "xml-source-location"
    )
  ) != null ? contextElement : null'
										MATCHING_ET='xs:%element'
										FMT={
											ctrl.size.width='164';
											ctrl.size.height='38';
											text.style='cs11';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															DESCR='first, try to reach the element\'s global documentation (if exists);
otherwise, try to link to the definition location of this element in the XML schema source'
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Element (local)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, when this is a reference to a global element'
				COND='sectionBlock.execSecNone && getAttrValue("ref") != null'
				MATCHING_ET='xs:%element'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"content-element-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						DESCR='when the reference is resolved into a documented element'
						CONTEXT_ELEMENT_EXPR='findElementByKey (
  "global-elements",
  getAttrQNameValue("ref"),
  BooleanQuery (checkElementByKey (
    "main-xsds",
    getXMLDocument().id,
    getElementParam("$mainXSD")
  ))
)'
						MATCHING_ET='xs:element'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/element.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Component Name'
									</SS_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='166';
											text.style='cs11';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SEPARATOR>
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, the referenced global element is not within documentation scope'
						COND='sectionBlock.execSecNone'
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/element.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<DATA_CTRL>
										EXPR='toXMLName (getAttrQNameValue("ref"), Array (rootElement, contextElement))'
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Element (reference)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='otherwise, if this is an element wildcard'
				COND='sectionBlock.execSecNone'
				MATCHING_ET='xs:any'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"local"';
						'rootElement.id';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'contextElement.id';
						'"def"';
					}
				</HTARGET>
				<HTARGET>
					HKEYS={
						'rootElement.id';
						'"content-element-wildcard"';
					}
				</HTARGET>
				<HTARGET>
					COND='getElementVar ("definitionLocation").id == rootElement.id'
					HKEYS={
						'rootElement.id';
						'"content-element-wildcard-def"';
					}
				</HTARGET>
				<BODY>
					<AREA_SEC>
						FMT={
							par.style='ps3';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
									par.page.keepWithNext='true';
								}
								<CTRLS>
									<IMAGE_CTRL>
										IMAGE_TYPE='file-image'
										FILE='../images/element.gif'
										OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
										FMT={
											image.padding.right='3';
										}
									</IMAGE_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Any Element'
										FMT={
											text.font.style.italic='true';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='Element (wildcard)'
						PARAMS_EXPR='Array (getVar ("definitionLocation"))'
						FMT={
							sec.indent.block='true';
						}
					</SS_CALL>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='annotation'
		MATCHING_ET='xs:%annotated'
		TEMPLATE_FILE='../ann/annotation.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Any Element'
		DESCR='prints the representation of the element wildcard'
		MATCHING_ET='xs:any'
		TEMPLATE_FILE='../component/wildcard.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='Component Name'
		DESCR='prints the XML (qualified or local) name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../component/componentName.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
			'show.elementNameExt','"never"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='Element (local)'
		DESCR='params[0]: schema component where this element is defined'
		MATCHING_ET='xs:%element'
		INIT_EXPR='elementType = findElementByKey ("element-types", contextElement.id);

elementTypeQName = elementType.instanceOf("#CUSTOM") ?
{
  elementType.value.toQName()
} : {
  name = elementType.getAttrStringValue("name");
  schema = elementType.findAncestor ("xs:schema");
  nsURI = schema.getServiceAttr("targetNamespace").toString();

  QName (nsURI, name, Enum (rootElement, elementType))
};

stockSection.setVar ("elementTypeQName", elementTypeQName);
stockSection.setVar ("elementType", elementType);

// calculate preliminary whether to generate "XML Representation Summary"
// and store the boolean result in the "genXMLRep" variable;
// this is used in two places: to enable XMLRep section itself and
// to disable "Simple Content Representation" when XMLRep is present

stockSection.setVar (
  "genXMLRep",
  getBooleanParam("doc.comp.contentElements.xmlRep") && 
  (hasParamValue("doc.comp.contentElements.xmlRep.for.type", "any") ||
  {
    elementType.instanceOf("xs:%complexType") 
      ? hasParamValue("doc.comp.contentElements.xmlRep.for.type", "complexType")
      : hasParamValue("doc.comp.contentElements.xmlRep.for.type", "simpleType")
  })
)'
		<BODY>
			<AREA_SEC COLLAPSED='true'>
				DESCR='if this element is excluded from demo documentation'
				COND='contextElement.exceedsDemoLimits'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.spacing.before='7';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.comp.contentElements.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.border.css.render='true';
				}
				<BODY>
					<AREA_SEC>
						COND='! hasParamValue("doc.comp.contentElements.profile.form", "none")
&&
(
  getAttrValue("form") != null
  ||
  hasParamValue("doc.comp.contentElements.profile.form", "any") &&
    findAncestor("xs:schema").getAttrValue ("elementFormDefault") != null
)'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Form:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='38.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='38.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='namespace'
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text='-';
														}
													</SEPARATOR>
													<DATA_CTRL>
														EXPR='(form = getAttrValue("form")) == null ?
  form = findAncestor("xs:schema").getAttrValue ("elementFormDefault");

(form != "qualified") ? "unqualified" : form'
														FMT={
															ctrl.size.width='366';
															ctrl.size.height='17';
														}
													</DATA_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.type")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Type:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Type Summary'
										PARAMS_EXPR='Array (
  stockSection.getElementVar("elementType"),
  stockSection.getVar("elementTypeQName")
)'
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='! hasParamValue("doc.comp.contentElements.profile.block", "none")
&&
(
  getAttrValue("block") != null
  ||
  hasParamValue("doc.comp.contentElements.profile.block", "any") &&
    findAncestor("xs:schema").getAttrValue ("blockDefault") != null
)'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Block:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											text.spacing.renderNL='true';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='elementBlockAttrInfo.tpl'
										PASSED_PARAMS={
											'$profile.block.value','getBooleanParam("doc.comp.contentElements.profile.block.value")';
											'$profile.block.meaning','getBooleanParam("doc.comp.contentElements.profile.block.meaning")';
										}
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.default") &&
hasAttr("default")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Default:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("default") +\'"\''
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											text.style='cs10';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.fixed") &&
hasAttr("fixed")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Fixed:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("fixed") +\'"\''
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											text.style='cs10';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.nillable") &&
getAttrBooleanValue("nillable")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Nillable:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='(can be declared as nil using xsi:nil attribute in instance XML documents)'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											text.style='cs12';
											par.style='ps7';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='140.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='locally'
														<DOC_HLINK>
															COND='stockSection.param.toElement().id != rootElement.id'
															HKEYS={
																'contextElement.id';
																'"def"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:complexType';'xs:group'}
														FMT={
															ctrl.size.width='348';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67.5';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			text.style='cs10';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:group'
																		TEXT='group'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.contentElements.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='289.5';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs11';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.contentElements.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs5';
				}
			</SS_CALL>
			<FOLDER COLLAPSED='true'>
				DESCR='XML REPRESENTATION SUMMARY'
				COND='stockSection.getBooleanVar ("genXMLRep")'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
				}
				<BODY>
					<AREA_SEC>
						COND='output.format.name == "HTML"'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='XML Rep'
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='XML Rep'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER COLLAPSED='true'>
				DESCR='ELEMENT SIMPLE CONTENT'
				COND='getBooleanParam("doc.comp.contentElements.simpleContent")'
				FMT={
					sec.spacing.before='7';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							sec.outputStyle='pars';
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Simple Content'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.simpleContent.model")
&&
! stockSection.getBooleanVar ("genXMLRep")
&&
! isXSPredefinedType (
  stockSection.getQNameVar ("elementTypeQName")
)'
						CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("elementType")'
						MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							table.style='ts1';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../component/simpleContentRep.tpl'
										PASSED_PARAMS={
											'$abbreviateEnum','getBooleanParam("doc.comp.contentElements.simpleContent.restrictions")';
											'$xmlContext','rootElement';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
											text.style='cs10';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='table layout'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='3';
							table.cell.padding.both='0';
							table.border.style='none';
							table.border.css.render='true';
						}
						<BODY>
							<ELEMENT_ITER>
								DESCR='Iterate By Actual Facets'
								COND='getBooleanParam("doc.comp.contentElements.simpleContent.restrictions")'
								TARGET_ET='xs:%facet'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='findElementsByKey (
  "facets",
  stockSection.getElementVar("elementType").id
)'
								GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='name = contextElement.localName;

(name == name.toLowerCase()
  ? name.charAt(0).toUpperCase() + name.substring(1) 
  : name) + \':\''
														FMT={
															ctrl.size.width='43.5';
															ctrl.size.height='18';
															tcell.align.vert='Top';
															par.style='ps6';
														}
													</DATA_CTRL>
													<TEMPLATE_CALL_CTRL>
														TEMPLATE_FILE='../component/facet.tpl'
														PASSED_PARAMS={
															'$facet.annotation','getBooleanParam("doc.comp.contentElements.simpleContent.restrictions.annotation")';
															'$comp','stockSection.contextElement';
														}
														FMT={
															ctrl.size.width='456';
															ctrl.size.height='18';
															tcell.align.vert='Bottom';
														}
													</TEMPLATE_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<AREA_SEC>
								COND='hasAttr("default") &&
getBooleanParam("doc.comp.contentElements.simpleContent.default")'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Default:'
												FMT={
													ctrl.size.width='43.5';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("default") +\'"\''
												FMT={
													ctrl.size.width='456';
													ctrl.size.height='18';
													text.style='cs10';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='hasAttr("fixed") &&
getBooleanParam("doc.comp.contentElements.simpleContent.fixed")'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Fixed:'
												FMT={
													ctrl.size.width='43.5';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("fixed") +\'"\''
												FMT={
													ctrl.size.width='456';
													ctrl.size.height='18';
													text.style='cs10';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='TYPE DETAIL (case of anonymous type)'
				COND='getBooleanParam("doc.comp.contentElements.type")
&&
(hasParamValue("doc.comp.contentElements.type.for.type", "any") ||
 stockSection.getElementVar("elementType").instanceOf("xs:%localSimpleType"))'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("elementType")'
				MATCHING_ETS={'xs:%localComplexType';'xs:%localSimpleType'}
				SS_NAME='Type Detail'
			</SS_CALL>
			<SS_CALL>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.comp.contentElements.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
			<SS_CALL>
				DESCR='TYPE DETAIL (case of referenced global type)'
				COND='getBooleanParam("doc.comp.contentElements.type") &&
hasParamValue("doc.comp.contentElements.type.for.typeDecl", "any") &&
{
  type = stockSection.getElementVar("elementType");

  type.instanceOf("xs:simpleType") 
    ? ! isXSPredefinedType(stockSection.getQNameVar("elementTypeQName"))
    : hasParamValue("doc.comp.contentElements.type.for.type", "any")
}'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("elementType")'
				MATCHING_ETS={'xs:complexType';'xs:simpleType'}
				SS_NAME='Type Detail'
				PARAMS_EXPR='Array (stockSection.getVar("elementTypeQName"))'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Element (reference)'
		DESCR='params[0]: schema component where this element is defined'
		MATCHING_ET='xs:%element'
		INIT_EXPR='// referenced global element

globalElement = findElementByKey (
  "global-elements", getAttrQNameValue("ref"),
  BooleanQuery (
    checkElementByKey (
      "main-xsds", getXMLDocument().id, getElementParam("$mainXSD")
    )
  )
);

stockSection.setVar ("globalElement", globalElement);

// element type

elementType = findElementByKey ("element-types", globalElement.id);

elementTypeQName = elementType.instanceOf("#CUSTOM") ?
{
  elementType.value.toQName()
} : {
  name = elementType.getAttrStringValue("name");
  schema = elementType.findAncestor ("xs:schema");
  nsURI = schema.getServiceAttr("targetNamespace").toString();

  QName (nsURI, name, Enum (rootElement, elementType))
};

stockSection.setVar ("elementTypeQName", elementTypeQName);
stockSection.setVar ("elementType", elementType);

// calculate preliminary whether to generate "XML Representation Summary"
// and store the boolean result in the "genXMLRep" variable;
// this is used in two places: to enable XMLRep section itself and
// to disable "Simple Content Representation" when XMLRep is present

stockSection.setVar (
  "genXMLRep",
  getBooleanParam("doc.comp.contentElements.xmlRep") && 
  (hasParamValue("doc.comp.contentElements.xmlRep.for.type", "any") ||
  {
    elementType.instanceOf("xs:%complexType") 
      ? hasParamValue("doc.comp.contentElements.xmlRep.for.type", "complexType")
      : hasParamValue("doc.comp.contentElements.xmlRep.for.type", "simpleType")
  })
)'
		<BODY>
			<AREA_SEC COLLAPSED='true'>
				DESCR='if this element is excluded from demo documentation'
				COND='stockSection.getElementVar("globalElement").exceedsDemoLimits'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.spacing.before='7';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<FOLDER>
				DESCR='PROFILE -- switch to the global element declaration'
				COND='getBooleanParam("doc.comp.contentElements.profile")'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("globalElement")'
				MATCHING_ET='xs:element'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
				}
				<BODY>
					<AREA_SEC>
						COND='hasParamValue("doc.comp.contentElements.profile.form", "any")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Form:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='namespace-qualified'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.type")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Type:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Type Summary'
										PARAMS_EXPR='Array (
  stockSection.getElementVar("elementType"),
  stockSection.getVar("elementTypeQName")
)'
										ALT_EXPR='"???"'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.abstract")
&&
getAttrBooleanValue("abstract")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Abstract:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='(may not be used directly in instance XML documents)'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											text.style='cs12';
											par.style='ps7';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='! hasParamValue("doc.comp.contentElements.profile.block", "none")
&&
(
  getAttrValue("block") != null
  ||
  hasParamValue("doc.comp.contentElements.profile.block", "any") &&
    findAncestor("xs:schema").getAttrValue ("blockDefault") != null
)'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Block:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											text.spacing.renderNL='true';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='elementBlockAttrInfo.tpl'
										PASSED_PARAMS={
											'$profile.block.value','getBooleanParam("doc.comp.contentElements.profile.block.value")';
											'$profile.block.meaning','getBooleanParam("doc.comp.contentElements.profile.block.meaning")';
										}
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='! hasParamValue("doc.comp.contentElements.profile.final", "none")
&& 
(
  getAttrValue("final") != null
  ||
  hasParamValue("doc.comp.contentElements.profile.final", "any") &&
    findAncestor("xs:schema").getAttrValue ("finalDefault") != null
)'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Final:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											text.spacing.renderNL='true';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='elementFinalAttrInfo.tpl'
										PASSED_PARAMS={
											'$profile.final.value','getBooleanParam("doc.comp.contentElements.profile.final.value")';
											'$profile.final.meaning','getBooleanParam("doc.comp.contentElements.profile.final.meaning")';
										}
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.subst")
&& 
{
  checkElementsByKey ("substitution-group-members", contextElement.id) ||
  getAttrValue("substitutionGroup") != ""
}'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Subst.Gr:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='substitutionGroupInfo.tpl'
										PASSED_PARAMS={
											'$list.heads','getBooleanParam("doc.comp.contentElements.profile.subst.heads")';
											'$list.members','getBooleanParam("doc.comp.contentElements.profile.subst.members")';
										}
										FMT={
											content.outputStyle='text-par';
											ctrl.size.width='456';
											ctrl.size.height='18';
											par.style='ps7';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.default")
&&
hasAttr("default")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Default:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrValue("default") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs10';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.fixed")
&&
hasAttr("fixed")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Fixed:'
										FMT={
											ctrl.size.width='45';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'"\' + getAttrStringValue("fixed") +\'"\''
										FMT={
											ctrl.size.width='454.5';
											ctrl.size.height='18';
											text.style='cs10';
											par.style='ps7';
										}
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.nillable") &&
getAttrBooleanValue("nillable")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Nillable:'
										FMT={
											ctrl.size.width='43.5';
											ctrl.size.height='18';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='(can be declared as nil using xsi:nil attribute in instance XML documents)'
										FMT={
											ctrl.size.width='456';
											ctrl.size.height='18';
											text.style='cs12';
											par.style='ps7';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='44.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='455.3';
											ctrl.size.height='140.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='by reference'
														<DOC_HLINK>
															COND='stockSection.param.toElement().id != rootElement.id'
															HKEYS={
																'stockSection.contextElement.id';
																'"def"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:complexType';'xs:group'}
														FMT={
															ctrl.size.width='348';
															ctrl.size.height='59';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67.5';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			text.style='cs10';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:group'
																		TEXT='group'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.contentElements.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='288';
															ctrl.size.height='59';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs11';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.contentElements.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs5';
				}
			</SS_CALL>
			<FOLDER COLLAPSED='true'>
				DESCR='XML REPRESENTATION SUMMARY'
				COND='stockSection.getBooleanVar ("genXMLRep")'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("globalElement")'
				MATCHING_ET='xs:element'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
				}
				<BODY>
					<AREA_SEC>
						COND='output.format.name == "HTML"'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							sec.outputStyle='table';
							table.cell.padding.both='0';
							table.border.style='none';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SS_CALL_CTRL>
										SS_NAME='XML Rep'
										PARAMS_EXPR='Array (stockSection.contextElement)'
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
										}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<SS_CALL>
						SS_NAME='XML Rep'
						PARAMS_EXPR='Array (stockSection.contextElement)'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<FOLDER COLLAPSED='true'>
				DESCR='ELEMENT SIMPLE CONTENT'
				COND='getBooleanParam("doc.comp.contentElements.simpleContent")'
				FMT={
					sec.spacing.before='7';
				}
				<HEADER>
					<AREA_SEC>
						FMT={
							sec.outputStyle='pars';
							par.style='ps4';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Simple Content'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.simpleContent.model")
&&
! stockSection.getBooleanVar ("genXMLRep")
&&
! isXSPredefinedType (
  stockSection.getQNameVar ("elementTypeQName")
)'
						CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("elementType")'
						MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							table.style='ts1';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../component/simpleContentRep.tpl'
										PASSED_PARAMS={
											'$abbreviateEnum','getBooleanParam("doc.comp.contentElements.simpleContent.restrictions")';
											'$xmlContext','rootElement';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
											text.style='cs10';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='table layout'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='3';
							table.cell.padding.both='0';
							table.border.style='none';
							table.border.css.render='true';
						}
						<BODY>
							<ELEMENT_ITER>
								DESCR='Iterate By Actual Facets'
								COND='getBooleanParam("doc.comp.contentElements.simpleContent.restrictions")'
								TARGET_ET='xs:%facet'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='findElementsByKey (
  "facets",
  stockSection.getElementVar("elementType").id
)'
								GROUPING_KEY_EXPR='instanceOf ("xs:enumeration | xs:pattern") ?
  contextElement.qName : contextElement.id'
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='name = contextElement.localName;

(name == name.toLowerCase()
  ? name.charAt(0).toUpperCase() + name.substring(1) 
  : name) + \':\''
														FMT={
															ctrl.size.width='43.5';
															ctrl.size.height='18';
															tcell.align.vert='Top';
															par.style='ps6';
														}
													</DATA_CTRL>
													<TEMPLATE_CALL_CTRL>
														TEMPLATE_FILE='../component/facet.tpl'
														PASSED_PARAMS={
															'$facet.annotation','getBooleanParam("doc.comp.contentElements.simpleContent.restrictions.annotation")';
															'$comp','stockSection.contextElement';
														}
														FMT={
															ctrl.size.width='456';
															ctrl.size.height='18';
															tcell.align.vert='Bottom';
														}
													</TEMPLATE_CALL_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<AREA_SEC>
								COND='getBooleanParam("doc.comp.contentElements.simpleContent.default")

// see also "Context Element" tab'
								CONTEXT_ELEMENT_EXPR='hasAttr("default") ? contextElement :
{
  globalElement = stockSection.getElementVar("globalElement");
  globalElement.hasAttr("default") ? globalElement : null
}'
								MATCHING_ET='xs:element'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Default:'
												FMT={
													ctrl.size.width='43.5';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("default") +\'"\''
												FMT={
													ctrl.size.width='456';
													ctrl.size.height='18';
													text.style='cs10';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								COND='getBooleanParam("doc.comp.contentElements.simpleContent.fixed")

// see also "Context Element" tab'
								CONTEXT_ELEMENT_EXPR='globalElement = stockSection.getElementVar("globalElement");

globalElement.hasAttr("fixed") ? globalElement
  : hasAttr("fixed") ? contextElement : null'
								MATCHING_ET='xs:element'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Fixed:'
												FMT={
													ctrl.size.width='43.5';
													ctrl.size.height='18';
													tcell.align.vert='Top';
													par.style='ps6';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												EXPR='\'"\' + getAttrValue("fixed") +\'"\''
												FMT={
													ctrl.size.width='456';
													ctrl.size.height='18';
													text.style='cs10';
													par.style='ps7';
												}
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.comp.contentElements.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
			<SS_CALL>
				DESCR='TYPE DETAIL'
				COND='getBooleanParam("doc.comp.contentElements.type") &&
hasParamValue("doc.comp.contentElements.type.for.element", "any") &&
{
  type = stockSection.getElementVar("elementType");

  type.instanceOf("xs:simpleType") ?
    hasParamValue("doc.comp.contentElements.type.for.typeDecl", "any") &&
    ! isXSPredefinedType(stockSection.getQNameVar("elementTypeQName"))
  :
  type.instanceOf("xs:%localComplexType") ?
    hasParamValue("doc.comp.contentElements.type.for.type", "any")
  :
  type.instanceOf("xs:complexType") ?
    hasParamValue("doc.comp.contentElements.type.for.type", "any") &&
    hasParamValue("doc.comp.contentElements.type.for.typeDecl", "any")
  :
  true
}'
				CONTEXT_ELEMENT_EXPR='stockSection.getElementVar("elementType")'
				MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
				SS_NAME='Type Detail'
				PARAMS_EXPR='Array (stockSection.getVar("elementTypeQName"))'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Element (wildcard)'
		DESCR='params[0]: schema component where this element is defined'
		MATCHING_ET='xs:%wildcard'
		<BODY>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.comp.contentElements.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.border.css.render='true';
				}
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.comp.contentElements.profile.defined")'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Defined:'
										FMT={
											ctrl.size.width='44.3';
											ctrl.size.height='140.3';
											tcell.align.vert='Top';
											par.style='ps6';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='455.3';
											ctrl.size.height='140.3';
											par.style='ps7';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='within'
													</TEXT_CTRL>
													<PANEL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ETS={'xs:%element';'xs:complexType';'xs:group'}
														FMT={
															ctrl.size.width='350';
															ctrl.size.height='59';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<PANEL>
																		COND='rootElement.id == contextElement.id'
																		FMT={
																			ctrl.size.width='67.5';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<TEXT_CTRL>
																						TEXT='('
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT='this'
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"detail"';
																							}
																						</DOC_HLINK>
																					</TEXT_CTRL>
																					<TEXT_CTRL>
																						TEXT=')'
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																	<SS_CALL_CTRL>
																		SS_NAME='Component Name'
																		FMT={
																			text.style='cs10';
																		}
																	</SS_CALL_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:%element'
																		TEXT='element'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:complexType'
																		TEXT='complexType'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		MATCHING_ET='xs:group'
																		TEXT='group'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<PANEL>
														COND='! getBooleanParam("doc.comp.contentElements.xml")
&&
findHyperTarget (
  Array (contextElement.id, "xml-source-location")
) != null'
														FMT={
															ctrl.size.width='289.5';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"xml-source-location"';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs && 
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='184';
																			ctrl.size.height='38';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs11';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'"xml-source-location"';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs11';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='ANNOTATION'
				COND='getBooleanParam("doc.comp.contentElements.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='7';
					text.style='cs5';
				}
			</SS_CALL>
			<SS_CALL>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.comp.contentElements.xml")'
				SS_NAME='XML Source'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='Link Title'
		TEMPLATE_FILE='../component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='scope'
		FMT={
			sec.outputStyle='text-par';
			txtfl.separator.type='space';
		}
		<BODY>
			<AREA_SEC>
				DESCR='when inherited content elements are included'
				COND='getBooleanParam("doc.comp.contentElements.include.inherited")'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								COND='iterator.numItems == getIntParam("$allCount")'
								TEXT='all declarations'
							</TEXT_CTRL>
							<PANEL>
								COND='iterator.numItems != getIntParam("$allCount")'
								FMT={
									ctrl.size.width='295';
									ctrl.size.height='38';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
										<CTRLS>
											<TEXT_CTRL>
												COND='hasParamValue("doc.comp.contentElements.include.local", "all")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local elements'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='hasParamValue("doc.comp.contentElements.include.local", "simpleType")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local elements with simple type'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.contentElements.include.references")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("ref") != "")
) != null'
												TEXT='references'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.contentElements.include.wildcards")
&&
findElementByType (iterator.items, "xs:any") != null'
												TEXT='wildcards'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='iterator.numItems'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='/';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='getIntParam("$allCount")'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<AREA_SEC>
				DESCR='otherwise, specified in this component only'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='('
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								COND='iterator.numItems == getIntParam("$ownCount")'
								TEXT='all declarations'
							</TEXT_CTRL>
							<PANEL>
								COND='iterator.numItems != getIntParam("$ownCount")'
								FMT={
									ctrl.size.width='296';
									ctrl.size.height='38';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
										<CTRLS>
											<TEXT_CTRL>
												COND='hasParamValue("doc.comp.contentElements.include.local", "all")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local elements'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='hasParamValue("doc.comp.contentElements.include.local", "simpleType")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("name") != "")
) != null'
												TEXT='local elements with simple type'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.contentElements.include.references")
&&
findElementByType (
  iterator.items,
  "xs:%element",
  BooleanQuery (getAttrValue("ref") != "")
) != null'
												TEXT='references'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getBooleanParam("doc.comp.contentElements.include.wildcards")
&&
findElementByType (iterator.items, "xs:any") != null'
												TEXT='wildcards'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT='defined within'
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='this'
								<DOC_HLINK>
									TITLE_EXPR='getBooleanParam("show.linkTitle") ? getStringParam("$title")'
									HKEYS={
										'contextElement.id';
										'"detail"';
									}
								</DOC_HLINK>
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='component only'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='; ';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='iterator.numItems'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text='/';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='getIntParam("$allCount")'
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='none';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT=')'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Type Detail'
		DESCR='params[0]: type QName in case of a global type'
		MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"local"';
				'stockSections[1].contextElement.id';
				'rootElement.id';
			}
		</HTARGET>
		<HTARGET>
			COND='getElementVar ("definitionLocation").id == rootElement.id'
			MATCHING_ETS={'xs:complexType%xs:localComplexType';'xs:simpleType%xs:localSimpleType'}
			HKEYS={
				'contextElement.id';
				'"detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								MATCHING_ETS={'xs:%localComplexType';'xs:%localSimpleType'}
								TEXT='Anonymous'
							</TEXT_CTRL>
							<TEXT_CTRL>
								MATCHING_ET='xs:%simpleType'
								TEXT='simpleType'
							</TEXT_CTRL>
							<TEXT_CTRL>
								MATCHING_ET='xs:%complexType'
								TEXT='complexType'
							</TEXT_CTRL>
							<DATA_CTRL>
								MATCHING_ETS={'xs:complexType';'xs:simpleType'}
								EXPR='\'"\' + stockSection.param + \'"\''
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.contentElements.type.deriv.tree")'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='7';
					sec.spacing.after='5';
					table.style='ts1';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../type/typeDerivationTree.tpl'
								PASSED_PARAMS={
									'$detailLink','instanceOf("xs:simpleType | xs:complexType") ||
getElementVar("definitionLocation").id != rootElement.id';
									'$xmlSourceLink','instanceOf("xs:simpleType | xs:complexType") ||
! getBooleanParam("doc.comp.contentElements.xml")';
									'$xmlContext','rootElement';
								}
								STYLE_OVERRIDES={
									'Derivation Tree Heading','ps1';
									'Derivation Tree Method','cs3';
									'Derivation Tree Type','cs4';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				COND='getBooleanParam("doc.comp.contentElements.type.annotation")'
				SS_NAME='annotation'
				FMT={
					sec.spacing.before='7';
					sec.spacing.after='5';
					text.style='cs6';
				}
			</SS_CALL>
			<TEMPLATE_CALL>
				COND='! hasParamValue("doc.comp.contentElements.type.deriv.simpleContent", "none")'
				TEMPLATE_FILE='../component/simpleContentDerivation.tpl'
				PASSED_PARAMS={
					'$deriv.simpleContent','getStringParam("doc.comp.contentElements.type.deriv.simpleContent")';
					'$deriv.simpleContent.facets','getBooleanParam("doc.comp.contentElements.type.deriv.simpleContent.facets")';
					'$deriv.simpleContent.annotations','getBooleanParam("doc.comp.contentElements.type.deriv.simpleContent.annotations")';
					'$xmlContext','rootElement';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Type Summary'
		DESCR='passed context element must be the element component declaration (not a reference to it);

params[0]:  the type element;
params[1]:  the type QName'
		MATCHING_ET='xs:%element'
		FMT={
			sec.outputStyle='text-par';
		}
		<BODY>
			<FOLDER>
				DESCR='switch to the element type -- when the element type is known'
				CONTEXT_ELEMENT_EXPR='stockSection.params[0].toElement()'
				MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='in case of the global type (specified in \'type\' attribute); see "Component | Context Element" tab'
						MATCHING_ETS={'xs:complexType';'xs:simpleType'}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										COND='! getAttrBooleanValue ("abstract")'
										EXPR='toXMLName (
  stockSection.params[1].toQName(),
  Array (rootElement, contextElement)
)'
										FMT={
											text.style='cs10';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<DATA_CTRL>
										COND='getAttrBooleanValue ("abstract")'
										EXPR='toXMLName (
  stockSection.params[1].toQName(),
  Array (rootElement, contextElement)
)'
										FMT={
											text.style='cs10';
											text.font.style.italic='true';
										}
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Link Title")'
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  Array ("detail", "xml-source-location")
)) != null'
										FMT={
											ctrl.size.width='154.5';
											text.style='cs11';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='otherwise, this is the case of an anonymous type'
						COND='sectionBlock.execSecNone'
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='anonymous'
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'"local"';
												'stockSections[1].contextElement.id';
												'rootElement.id';
											}
										</DOC_HLINK>
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'Array ("detail", "xml-source-location")';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='instanceOf ("xs:%simpleType") ? "simpleType" : "complexType"'
									</DATA_CTRL>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../type/typeDerivationSummary.tpl'
									</TEMPLATE_CALL_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
(
  findHyperTarget (Array (
    contextElement.id,
    "local",
    stockSections[1].contextElement.id,
    rootElement.id
  )) != null
  ||
  findHyperTarget (Array (
    contextElement.id,
    Array ("detail", "xml-source-location")
  )) != null
)'
										FMT={
											ctrl.size.width='154.5';
											text.style='cs11';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'"local"';
																'stockSections[1].contextElement.id';
																'rootElement.id';
															}
														</DOC_HLINK>
														<DOC_HLINK>
															HKEYS={
																'contextElement.id';
																'Array ("detail", "xml-source-location")';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='text';
											txtfl.separator.text=', ';
										}
									</SEPARATOR>
									<TEMPLATE_CALL_CTRL>
										CONTEXT_ELEMENT_EXPR='stockSection.contextElement'
										MATCHING_ET='xs:%element'
										TEMPLATE_FILE='../component/contentType.tpl'
										PASSED_PARAMS={
											'$allowNote','false';
										}
									</TEMPLATE_CALL_CTRL>
									<TEXT_CTRL>
										TEXT='content'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<AREA_SEC>
				DESCR='when there is a type name specified in the \'type\' attribute'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<DATA_CTRL>
								EXPR='toXMLName (
  stockSection.params[1].toQName(),
  Array (rootElement, contextElement)
)'
								FMT={
									text.style='cs10';
								}
							</DATA_CTRL>
							<SEPARATOR>
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text=', ';
								}
							</SEPARATOR>
							<DATA_CTRL>
								EXPR='typeQName = stockSection.params[1].toQName();

(isXSPredefinedType (typeQName) ?

  typeQName.localName == "anyType" ? "any" : 
    hasAttrValue("fixed", "") ? "empty" : "predefined, simple"

: "unknown") + " content"'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='XML Rep'
		DESCR='params[0] - $referenceComp'
		TEMPLATE_FILE='../component/xmlRep.tpl'
		PASSED_PARAMS={
			'$showHeading','getBooleanParam("doc.comp.contentElements.xmlRep.heading")';
			'$sorting','getBooleanParam("doc.comp.contentElements.xmlRep.sorting")';
			'$xmlName','callStockSection("Component Name")';
			'$abbreviateSimpleContent','true';
			'$referenceComp','stockSection.param.toElement()';
			'$xmlContext','rootElement';
		}
		STYLE_OVERRIDES={
			'XML Rep','cs13';
			'XML Rep Attribute Name','cs14';
			'XML Rep Content Model','cs15';
			'XML Rep Heading','ps8';
			'XML Rep Markup','cs16';
			'XML Rep Name','cs17';
			'XML Rep Value','cs18';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		SS_NAME='XML Source'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs8';
									text.color.opaque='false';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.contentElements.xml.remove.anns")';
								}
								FMT={
									text.style='cs7';
									text.color.opaque='false';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.comp.contentElements.xml.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					sec.spacing.before='7';
					sec.spacing.after='8';
					table.style='ts2';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.anns','getBooleanParam("doc.comp.contentElements.xml.remove.anns")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.anns','getBooleanParam("doc.comp.contentElements.xml.remove.anns")';
				}
				FMT={
					sec.spacing.before='5';
					sec.spacing.after='8';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='MIqyPhn?Yt+iQnB5jg6w?gx+cRGUhCl895vOPtn33Ak'
</FLEXDOCXYZ_TEMPLATE>