<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-09-28 17:54:25'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright � 2012-2016 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#CUSTOM'
TITLE_EXPR='title = contextElement.value + "-Index";

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = contextElement.value + "-Index";

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$linkDestKeys';
		param.type='string';
		param.list='true';
		param.defaultValue.expr='Array ("detail", "def", "xml-source-location")';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.elementNameExt';
		param.title='Element Name Extensions';
		param.type='enum';
		param.enum.values='always;repeating;never';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs2';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Name Extension';
		style.id='cs4';
		text.font.name='Verdana';
		text.font.size='7';
		text.font.style.bold='false';
		text.color.foreground='#B2B2B2';
	}
	CHAR_STYLE={
		style.name='Name Extension Hyperlink';
		style.id='cs5';
		text.decor.underline='true';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'"index"';
		'rootElement.value';
	}
</HTARGET>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"index"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='XML\'s doc heading'
		FMT={
			par.style='ps1';
			par.page.keepWithNext='true';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='rootElement.value'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<ELEMENT_ITER>
		TARGET_ET='<ANY>'
		SCOPE='custom'
		ELEMENT_ENUM_EXPR='findElementsByKey (
  "index",
  contextElement.value
)'
		SORTING='by-compound-key'
		SORTING_KEY={
			{expr='getAttrStringValue("name")',ascending};
			{expr='belongsToNS ("wsdl") ?
  instanceOf ("wsdl:service") ? 1
  : instanceOf ("wsdl:port") ? 2
    : instanceOf ("wsdl:binding") ? 3
      : instanceOf("wsdl:operation%wsdl:tBindingOperation") ? 4
        : instanceOf ("wsdl:portType") ? 5
          : instanceOf("wsdl:operation%wsdl:tOperation") ? 6
            : instanceOf ("wsdl:message") ? 7
              : instanceOf("wsdl:part") ? 8 
                : 10
:
belongsToNS ("xs") ?
  instanceOf ("xs:element") ? 11
  : instanceOf ("xs:%localElement") ? 12
    : instanceOf ("xs:attribute") ? 13
      : instanceOf ("xs:attribute%xs:attribute") ? 14
        : instanceOf ("xs:complexType") ? 15
          : instanceOf ("xs:simpleType") ? 16
            : instanceOf ("xs:group") ? 17
              : instanceOf ("xs:attributeGroup") ? 18 
                : 20
: 100',ascending};
			{expr='belongsToNS ("xs") ?
  instanceOf ("xs:attribute%xs:attribute") ?
    getAttrValue("use") != "prohibited" ? "1" : "2"
  : callStockSection("Item Name Extension")
: ""',ascending};
		}
		<BODY>
			<FOLDER>
				DESCR='XSD COMPONENT'
				COND='belongsToNS("xs")'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						DESCR='global component or local element'
						MATCHING_ETS={'xs:%element';'xs:attribute';'xs:attributeGroup';'xs:complexType';'xs:group';'xs:simpleType'}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										COND='! getAttrBooleanValue ("abstract")'
										ATTR='name'
										FMT={
											text.font.style.bold='true';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'getArrayParam("$linkDestKeys")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<DATA_CTRL>
										COND='getAttrBooleanValue ("abstract")'
										ATTR='name'
										FMT={
											text.font.style.bold='true';
											text.font.style.italic='true';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'getArrayParam("$linkDestKeys")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Item Name Extension'
										FMT={
											text.style='cs4';
											text.hlink.fmt='style';
											text.hlink.style='cs5';
										}
									</SS_CALL_CTRL>
									<TEXT_CTRL>
										TEXT='-'
									</TEXT_CTRL>
									<TEXT_CTRL>
										COND='getAttrBooleanValue ("abstract")'
										TEXT='abstract'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ETS={'xs:attribute';'xs:element'}
										TEXT='global'
									</TEXT_CTRL>
									<PANEL>
										MATCHING_ET='xs:%localElement'
										FMT={
											ctrl.size.width='83.3';
											ctrl.size.height='38.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														COND='countElementsByKey (
  "xsd-globally-documented-comps",
  contextElement.id
) > 1'
														TEXT='unified'
													</TEXT_CTRL>
													<TEXT_CTRL>
														TEXT='local'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<TEXT_CTRL>
										MATCHING_ET='xs:%element'
										TEXT='element'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='xs:complexType'
										TEXT='complexType'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='xs:simpleType'
										TEXT='simpleType'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='xs:group'
										TEXT='element group'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='xs:attributeGroup'
										TEXT='attribute group'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='xs:attribute'
										TEXT='attribute'
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='in'
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Namespace'
										PARAMS_EXPR='Array (getServiceAttr("qName").toQName().namespaceURI)'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='case of local attribute'
						MATCHING_ET='xs:attribute%xs:attribute'
						FMT={
							sec.outputStyle='text-par';
						}
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												COND='getAttrValue("use") != "prohibited"'
												ATTR='name'
												FMT={
													text.font.style.bold='true';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'getArrayParam("$linkDestKeys")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<DATA_CTRL>
												COND='getAttrValue("use") == "prohibited"'
												ATTR='name'
												FMT={
													text.font.style.bold='true';
													text.decor.strikethrough='true';
												}
												<DOC_HLINK>
													HKEYS={
														'contextElement.id';
														'getArrayParam("$linkDestKeys")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='-'
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='attribute'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<ELEMENT_ITER>
								COND='getAttrValue("use") != "prohibited"'
								BREAK_PARENT_BLOCK='when-output'
								TARGET_ET='xs:%element'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='findElementsByKey ("xsd-containing-elements", contextElement.id)'
								SORTING='by-expr'
								SORTING_KEY={expr='callStockSection("XSD Component Name")',ascending}
								<HEADER>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='in'
													</TEXT_CTRL>
													<TEXT_CTRL>
														COND='iterator.numItems == 1'
														TEXT='element'
													</TEXT_CTRL>
													<TEXT_CTRL>
														COND='iterator.numItems > 1'
														TEXT='elements:'
													</TEXT_CTRL>
													<SEPARATOR>
													</SEPARATOR>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</HEADER>
								<BODY>
									<AREA_SEC>
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SS_CALL_CTRL>
														SS_NAME='XSD Component Name'
													</SS_CALL_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text=', ';
														}
													</SEPARATOR>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</AREA_SEC>
								</BODY>
							</ELEMENT_ITER>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												COND='getAttrValue("use") != "prohibited"'
												TEXT='defined'
											</TEXT_CTRL>
											<TEXT_CTRL>
												COND='getAttrValue("use") == "prohibited"'
												TEXT='prohibition'
											</TEXT_CTRL>
											<PANEL>
												CONTEXT_ELEMENT_EXPR='findPredecessorByType (
  "xs:%element | xs:complexType | xs:attributeGroup"
)'
												MATCHING_ETS={'xs:%element';'xs:attributeGroup';'xs:complexType'}
												FMT={
													ctrl.size.width='372.8';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='in'
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:%element'
																TEXT='element'
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:complexType'
																TEXT='complexType'
															</TEXT_CTRL>
															<TEXT_CTRL>
																MATCHING_ET='xs:attributeGroup'
																TEXT='attributeGroup'
															</TEXT_CTRL>
															<SS_CALL_CTRL>
																SS_NAME='XSD Component Name'
															</SS_CALL_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='description'
						FMT={
							sec.indent.block='true';
							text.style='cs2';
						}
						<BODY>
							<TEMPLATE_CALL>
								DESCR='first sentence of xs:annotation'
								BREAK_PARENT_BLOCK='when-output'
								OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
								TEMPLATE_FILE='xsd/ann/firstSentence.tpl'
							</TEMPLATE_CALL>
							<AREA_SEC>
								COND='! iterator.isLastItem'
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=' '
												FMT={
													text.spacing.nbsp='true';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<FOLDER COLLAPSED='true'>
				DESCR='WSDL DEFINITION'
				COND='belongsToNS("wsdl")'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<AREA_SEC>
						MATCHING_ETS={'wsdl:binding';'wsdl:message';'wsdl:portType';'wsdl:service'}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										ATTR='name'
										FMT={
											text.font.style.bold='true';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'getArrayParam("$linkDestKeys")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='-'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:service'
										TEXT='service'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:binding'
										TEXT='binding'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:portType'
										TEXT='portType'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:message'
										TEXT='message'
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='in'
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='Namespace'
										PARAMS_EXPR='Array (
  findAncestor ("wsdl:definitions").getAttrStringValue ("targetNamespace")
)'
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						MATCHING_ETS={'wsdl:operation%wsdl:tBindingOperation';'wsdl:operation%wsdl:tOperation';'wsdl:part';'wsdl:port'}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<DATA_CTRL>
										ATTR='name'
										FMT={
											text.font.style.bold='true';
										}
										<DOC_HLINK>
											HKEYS={
												'contextElement.id';
												'getArrayParam("$linkDestKeys")';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT='-'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:port'
										TEXT='port in service'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:operation%wsdl:tBindingOperation'
										TEXT='operation in binding'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:operation%wsdl:tOperation'
										TEXT='operation in portType'
									</TEXT_CTRL>
									<TEXT_CTRL>
										MATCHING_ET='wsdl:part'
										TEXT='part in message'
									</TEXT_CTRL>
									<SS_CALL_CTRL>
										SS_NAME='WSDL Definition Name'
										PASSED_ELEMENT_EXPR='contextElement.parent'
										PASSED_ELEMENT_MATCHING_ETS={'wsdl:binding';'wsdl:message';'wsdl:portType';'wsdl:service'}
									</SS_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<FOLDER>
						DESCR='description'
						FMT={
							sec.indent.block='true';
							text.style='cs2';
						}
						<BODY>
							<TEMPLATE_CALL>
								MATCHING_ET='wsdl:part'
								BREAK_PARENT_BLOCK='when-executed'
								TEMPLATE_FILE='wsdl/message/partDescription.tpl'
								PASSED_PARAMS={
									'$firstSentence','true';
								}
							</TEMPLATE_CALL>
							<TEMPLATE_CALL>
								MATCHING_ET='wsdl:operation%wsdl:tOperation'
								BREAK_PARENT_BLOCK='when-executed'
								TEMPLATE_FILE='wsdl/portType/operationDescription.tpl'
								PASSED_PARAMS={
									'$firstSentence','true';
								}
							</TEMPLATE_CALL>
							<TEMPLATE_CALL>
								MATCHING_ET='wsdl:operation%wsdl:tBindingOperation'
								BREAK_PARENT_BLOCK='when-executed'
								TEMPLATE_FILE='wsdl/binding/operationDescription.tpl'
								PASSED_PARAMS={
									'$firstSentence','true';
								}
							</TEMPLATE_CALL>
							<TEMPLATE_CALL>
								DESCR='first sentence of wsdl:description'
								OUTPUT_CHECKER_EXPR='getValuesByLPath(
  "xs:annotation/xs:documentation//(#TEXT | #CDATA)"
).isBlank() ? -1 : 1'
								TEMPLATE_FILE='wsdl/misc/firstSentence.tpl'
							</TEMPLATE_CALL>
						</BODY>
						<ELSE>
							COND='! iterator.isLastItem'
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT=' '
												FMT={
													text.spacing.nbsp='true';
												}
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</ELSE>
					</FOLDER>
				</BODY>
			</FOLDER>
			<FOLDER COLLAPSED='true'>
				DESCR='NAMESPACE PREFIX'
				MATCHING_ET='#NAMESPACE'
				<BODY>
					<FOLDER>
						FMT={
							sec.outputStyle='text-par';
						}
						<BODY>
							<AREA_SEC>
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<DATA_CTRL>
												ATTR='prefix'
												FMT={
													text.font.style.bold='true';
												}
												<DOC_HLINK>
													HKEYS={
														'getAttrValue("prefix")';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<TEXT_CTRL>
												TEXT='-'
											</TEXT_CTRL>
											<TEXT_CTRL>
												TEXT='namespace prefix for'
											</TEXT_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<ELEMENT_ITER>
								DESCR='iterate by all namespaces bound to this prefix'
								TARGET_ET='#NAMESPACE'
								SCOPE='custom'
								ELEMENT_ENUM_EXPR='prefix = getAttrValue("prefix");

findElementsByLPath (
  "/#DOCUMENT/namespaces^::#NAMESPACE",
  BooleanQuery (getAttrBooleanValue("original") && getAttrValue("prefix") == prefix),

  // if multiple the same prefix/namespaceURI bindings have been found,
  // leave only one of them

  FlexQuery (getAttrValue("namespaceURI"))
)'
								SORTING='by-attr'
								SORTING_KEY={lpath='@namespaceURI',ascending}
								FMT={
									txtfl.separator.type='text';
									txtfl.separator.text=', ';
								}
								<BODY>
									<SS_CALL>
										SS_NAME='Namespace'
										PARAMS_EXPR='Array (getAttrValue("namespaceURI"))'
									</SS_CALL>
								</BODY>
							</ELEMENT_ITER>
						</BODY>
					</FOLDER>
					<AREA_SEC>
						FMT={
							sec.indent.block='true';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT=' '
										FMT={
											text.spacing.nbsp='true';
										}
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"index"';
		}
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<AREA_SEC>
		SS_NAME='Item Name Extension'
		DESCR='any other (global) component'
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.separator.type='none';
				}
				<CTRLS>
					<TEMPLATE_CALL_CTRL>
						COND='instanceOf("xs:%localElement")
&& 
(
  hasParamValue("show.elementNameExt", "always")
  ||
  hasParamValue("show.elementNameExt", "repeating") &&
  {
    qName = getServiceAttr("qName").toQName();

    mainXML = findElementByKey ("main-xmls", getXMLDocument().id);
    mainXMLFilter = BooleanQuery (checkElementByKey (
                      "main-xmls",
                      getXMLDocument().id,
                      mainXML
                    ));

    countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
  }
)'
						MATCHING_ET='xs:%localElement'
						TEMPLATE_FILE='xsd/element/elementNameExt.tpl'
					</TEMPLATE_CALL_CTRL>
					<PANEL>
						COND='hasServiceAttr ("version")'
						FMT={
							ctrl.size.width='169.5';
							ctrl.size.height='38.3';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT=' (ver'
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='getServiceAttr ("version")'
									</DATA_CTRL>
									<TEXT_CTRL>
										TEXT=')'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</PANEL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		SS_NAME='Namespace'
		DESCR='params[0]: namespace URI'
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='"{" + (stockSection.param != "" ? stockSection.param : "no namespace") + "}"'
						<DOC_HLINK>
							TITLE_EXPR='getBooleanParam("show.linkTitle") ? "namespace"'
							HKEYS={
								'stockSection.param';
								'"detail"';
							}
						</DOC_HLINK>
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		SS_NAME='Schema Name'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='xsd/schema/schemaName.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='wsdl/misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='xsd/component/componentName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='hTXc?jTv+N3yuCmgsRNQ4YDwQWUr7GKlpv9v?S?MTAs'
</FLEXDOCXYZ_TEMPLATE>