<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2017-10-05 00:11:09'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='ProcedureTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
INIT_EXPR='settings = XSDDiagramSettings();

settings.nodeMinWidth = getIntParam("DiagramKit.layout.node.minWidth");
settings.nodeMaxWidth = getIntParam("DiagramKit.layout.node.maxWidth");

settings.showAnnotations = ! hasParamValue("DiagramKit.show.annotation", "none");
settings.annRenderLineBreaks = getBooleanParam("DiagramKit.show.annotation.renderLineBreaks");
settings.annWrapOptimize = getBooleanParam("DiagramKit.show.annotation.wrap.optimize");
settings.annWrapMinWidth = getIntParam("DiagramKit.show.annotation.wrap.minWidth");
settings.annWrapMaxWidth = getIntParam("DiagramKit.show.annotation.wrap.maxWidth");
settings.annTextColor = (Color) getParam("DiagramKit.style.annotation.color");

settings.equalizePropertyValueColumns = getBooleanParam("DiagramKit.show.properties.value.equalColumnWidths");

settings.showSubstGroup = getStringParam("DiagramKit.show.substGroup");

settings.baseTypeCaptionColor = (Color) getParam("DiagramKit.style.baseType.caption.color");
settings.baseTypeBackgroundColor = (Color) getParam("DiagramKit.style.baseType.bkgr.color");
settings.baseTypeBorderColor = (Color) getParam("DiagramKit.style.baseType.border.color");'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='proc';
		param.title='Processing';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='proc.desc';
		param.title='Descriptions';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='proc.desc.xsd.annotation';
		param.title='XSD Annotations';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='proc.desc.xsd.annotation.appinfo';
		param.title='<appinfo>';
		param.type='boolean';
	}
	PARAM={
		param.name='proc.desc.xsd.annotation.documentation';
		param.title='<documentation>';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='proc.desc.xsd.annotation.documentation.lang';
		param.title='Language';
		param.group='true';
		param.type='string';
		param.trimSpaces='true';
		param.noEmptyString='true';
		param.list='true';
		param.list.noEmptyList='true';
	}
	PARAM={
		param.name='proc.desc.xsd.annotation.documentation.lang.alt';
		param.title='Alternative Language';
		param.type='string';
		param.trimSpaces='true';
		param.noEmptyString='true';
		param.list='true';
		param.list.noEmptyList='true';
	}
	PARAM={
		param.name='proc.desc.encode.markup.chars';
		param.title='Encode markup characters';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit';
		param.title='DiagramKit';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show';
		param.title='Show in Diagram';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.show.annotation';
		param.title='Annotations';
		param.title.style.bold='true';
		param.group='true';
		param.type='enum';
		param.enum.values='none;first_sentence;full';
	}
	PARAM={
		param.name='DiagramKit.show.annotation.renderLineBreaks';
		param.title='Render Line Breaks';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.annotation.wrap';
		param.title='Wrapping';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.show.annotation.wrap.optimize';
		param.title='Optimize';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.annotation.wrap.minWidth';
		param.title='Minimal Width';
		param.type='integer';
		param.type.units='(px)';
		param.defaultValue='120';
	}
	PARAM={
		param.name='DiagramKit.show.annotation.wrap.maxWidth';
		param.title='Maximal Width';
		param.type='integer';
		param.type.units='(px)';
	}
	PARAM={
		param.name='DiagramKit.show.properties';
		param.title='Properties';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.properties.element';
		param.title='Element';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.properties.element.rows';
		param.title='Rows';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
		param.list='true';
	}
	PARAM={
		param.name='DiagramKit.show.properties.attribute';
		param.title='Attibute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.properties.attribute.rows';
		param.title='Rows';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
		param.list='true';
	}
	PARAM={
		param.name='DiagramKit.show.properties.value';
		param.title='Values';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.show.properties.value.separator';
		param.title='List Separator';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.show.properties.value.separator.enum';
		param.title='Enumeration';
		param.type='string';
	}
	PARAM={
		param.name='DiagramKit.show.properties.value.separator.pattern';
		param.title='Pattern';
		param.type='string';
	}
	PARAM={
		param.name='DiagramKit.show.properties.value.equalColumnWidths';
		param.title='Equal Column Widths';
		param.type='boolean';
	}
	PARAM={
		param.name='DiagramKit.show.substGroup';
		param.title='Substitution Groups';
		param.type='enum';
		param.enum.values='always;by_root_only;none';
	}
	PARAM={
		param.name='DiagramKit.layout';
		param.title='Layout';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.layout.node';
		param.title='Nodes';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.layout.node.minWidth';
		param.title='Minimal Width';
		param.type='integer';
		param.type.nonNegative='true';
		param.type.units='(px)';
		param.defaultValue='50';
	}
	PARAM={
		param.name='DiagramKit.layout.node.maxWidth';
		param.title='Maximal Width';
		param.type='integer';
		param.type.nonNegative='true';
		param.type.units='(px)';
		param.defaultValue='350';
	}
	PARAM={
		param.name='DiagramKit.style';
		param.title='Styling';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.style.baseType';
		param.title='Base Type Panel';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.style.baseType.caption.color';
		param.title='Caption Color';
		param.type='Color';
	}
	PARAM={
		param.name='DiagramKit.style.baseType.bkgr.color';
		param.title='Background';
		param.type='Color';
	}
	PARAM={
		param.name='DiagramKit.style.baseType.border.color';
		param.title='Border Color';
		param.type='Color';
	}
	PARAM={
		param.name='DiagramKit.style.annotation';
		param.title='Annotations';
		param.group='true';
	}
	PARAM={
		param.name='DiagramKit.style.annotation.color';
		param.title='Color';
		param.type='Color';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<ELEMENT_ITER>
		TARGET_ET='xs:schema'
		SCOPE='advanced-location-rules'
		RULES={
			'* -> #DOCUMENT/xs:schema';
			'* -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema';
		}
		<BODY>
			<ELEMENT_ITER>
				DESCR='process global elements'
				TARGET_ET='xs:element'
				SCOPE='simple-location-rules'
				RULES={
					'* -> xs:element';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='globalElement'
						PARAMS_EXPR='Array (XSDGlobalElement (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='process named complexTypes'
				TARGET_ET='xs:complexType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> xs:complexType';
					'* -> xs:redefine/xs:complexType';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='complexType'
						PARAMS_EXPR='Array (XSDType (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='process named simpleTypes'
				TARGET_ET='xs:simpleType'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> xs:simpleType';
					'* -> xs:redefine/xs:simpleType';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='simpleType'
						PARAMS_EXPR='Array (XSDType (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='process named groups'
				TARGET_ET='xs:group'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> xs:group';
					'* -> xs:redefine/xs:group';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='group'
						PARAMS_EXPR='Array (XSDGroup (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='process named attribute groups'
				TARGET_ET='xs:attributeGroup'
				SCOPE='advanced-location-rules'
				RULES={
					'* -> xs:attributeGroup';
					'* -> xs:redefine/xs:attributeGroup';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='attributeGroup'
						PARAMS_EXPR='Array (XSDAttributeGroup (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
			<ELEMENT_ITER>
				DESCR='process global attributes'
				TARGET_ET='xs:attribute'
				SCOPE='simple-location-rules'
				RULES={
					'* -> xs:attribute';
				}
				<BODY>
					<SS_CALL>
						SS_NAME='globalAttribute'
						PARAMS_EXPR='Array (XSDGlobalAttribute (contextElement))'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<QUERY_SEC>
		SS_NAME='annotation'
		DESCR='param: XSDComponent'
		MATCHING_ET='xs:annotation'
		EXPR='proc_documentation = getBooleanParam("proc.desc.xsd.annotation.documentation");
proc_appinfo = getBooleanParam("proc.desc.xsd.annotation.appinfo");

// the following works basically the same as the content of "HTMLDoc" stock-section;
// the produced pieces of text are received in the \'texts\' array variable

texts = Vector();

(proc_documentation &&
  (langs = getArrayParam("proc.desc.xsd.annotation.documentation.lang")) != null) ?
{
  // filtering by languages specified

  iterate (
    findChildren (
      "xs:appinfo|xs:documentation",
      BooleanQuery (
        instanceOf("xs:documentation") ?
          langs.containsIgnoreCase (getAttrStringValue("xml:lang")) : proc_appinfo
      )
    ),
    @(GOMElement) el,
    FlexQuery ({
      values = el.getValuesByLPath ("descendant::(#TEXT|#CDATA)");
      ! isBlank (values) ? texts.addElement (mergeStrings (values));
    })
  );

  (texts.isEmpty() &&
    (langs = getArrayParam("proc.desc.xsd.annotation.documentation.lang.alt")) != null) ? 
  {
    iterate (
      findChildren (
        "xs:documentation",
        BooleanQuery (langs.containsIgnoreCase (getAttrStringValue("xml:lang")))
      ),
      @(GOMElement) el,
      FlexQuery ({
        values = el.getValuesByLPath ("descendant::(#TEXT|#CDATA)");
        ! isBlank (values) ? texts.addElement (mergeStrings (values));
      })
    )
  }

} : {  // otherwise, no filtering by languages was specified

  iterate (
    findChildren (
      "xs:appinfo|xs:documentation",
      BooleanQuery (
        instanceOf("xs:documentation") ? proc_documentation : proc_appinfo
      )
    ),
    @(GOMElement) el,
    FlexQuery ({
      values = el.getValuesByLPath ("descendant::(#TEXT|#CDATA)");
      ! isBlank (values) ? texts.addElement (mergeStrings (values));
    })
  )
};

// merge all text blocks into a single string
text = mergeStrings (texts, \' \');

hasParamValue("DiagramKit.show.annotation", "first_sentence") ?
  text = firstSentence (
           text, 
           output.format.renderEmbeddedHTML && ! getBooleanParam("proc.desc.encode.markup.chars"),
           false
         );

((XSDComponent) stockSection.param).annotation = text;'
	</QUERY_SEC>
	<FOLDER>
		SS_NAME='any'
		DESCR='param: XSDElementWildcard'
		MATCHING_ET='xs:any'
		INIT_EXPR='xsdAny = (XSDElementWildcard) stockSection.param;

hasXMLAttribute("namespace") ?
  xsdAny.namespace = getAttrValues("namespace").mergeStrings(\' \');

xsdAny.minOccurs = getAttrStringValue("minOccurs");
xsdAny.maxOccurs = getAttrStringValue("maxOccurs");'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='anyAttribute'
		DESCR='param: XSDAttributeWildcard'
		MATCHING_ET='xs:anyAttribute'
		INIT_EXPR='xsdAnyAttr = (XSDAttributeWildcard) stockSection.param;

hasXMLAttribute("namespace") ?
  xsdAnyAttr.namespace = getAttrValues("namespace").mergeStrings(\' \');

checkPredecessorByType("xs:attributeGroup") ?
  iterate (
    getPredecessorsByType("xs:attributeGroup").reverseVector(),
    @(GOMElement) attrGroup,
    FlexQuery (
      xsdAnyAttr.enclosingGroups.addElement (XSDAttributeGroup (attrGroup))
    )
  );'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='attribute'
		DESCR='param: XSDAttribute'
		MATCHING_ET='xs:attribute%xs:attribute'
		INIT_EXPR='xsdAttr = (XSDAttribute) stockSection.param;

(attrQName = getAttrQNameValue("ref")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  globalAttr = findElementByKey (
                 "xsd-global-attributes",
                 attrQName,
                 BooleanQuery (checkElementByKey (
                   "main-xmls", getXMLDocument().id, mainXML)
                 )
               );

  xsdAttr.qName = attrQName;
  xsdAttr.globalAttr = XSDGlobalAttribute (globalAttr);

} : {
  xsdAttr.qName = getServiceAttr("qName").toQName();
};

xsdAttr.use = getAttrStringValue("use");

getBooleanParam("DiagramKit.show.properties") &&
getBooleanParam("DiagramKit.show.properties.attribute") ?
  callStockSection ("Properties (attribute)", Array (xsdAttr, globalAttr));

checkPredecessorByType("xs:attributeGroup") ?
  iterate (
    getPredecessorsByType("xs:attributeGroup").reverseVector(),
    @(GOMElement) attrGroup,
    FlexQuery (
      xsdAttr.enclosingGroups.addElement (XSDAttributeGroup (attrGroup))
    )
  );'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='attributeGroup'
		DESCR='param: XSDAttributeGroup'
		MATCHING_ET='xs:attributeGroup'
		INIT_EXPR='xsdAttrGroup = (XSDAttributeGroup) stockSection.param;

xsdAttrGroup.qName = getServiceAttr("qName").toQName();

hasServiceAttr("version") ?
  xsdAttrGroup.nameExt = "(ver " + getServiceAttr("version").toInt() + ")";'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<ELEMENT_ITER>
				TARGET_ETS={'xs:%attribute';'xs:%attributeGroup';'xs:anyAttribute'}
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey ("xsd-content-model-attribute-defs", contextElement.id)'
				<BODY>
					<SS_CALL>
						MATCHING_ET='xs:attribute%xs:attribute'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='attribute'
						PARAMS_EXPR='xsdAttrGroup = (XSDAttributeGroup) stockSection.param;

xsdAttr = XSDAttribute (contextElement, xsdAttrGroup);
xsdAttrGroup.attrs.addElement (xsdAttr);

Array (xsdAttr)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:anyAttribute'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='anyAttribute'
						PARAMS_EXPR='xsdAttrGroup = (XSDAttributeGroup) stockSection.param;

xsdAnyAttr = XSDAttributeWildcard (contextElement, xsdAttrGroup);
xsdAttrGroup.attrs.addElement (xsdAnyAttr);

Array (xsdAnyAttr)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:%attributeGroup'
						SS_NAME='attributeGroupAbnormality'
						PARAMS_EXPR='xsdAttrGroup = (XSDAttributeGroup) stockSection.param;

attrGroupAbnormality = XSDAttributeGroupAbnormality (contextElement, xsdAttrGroup);
xsdAttrGroup.attrs.addElement (attrGroupAbnormality);

Array (attrGroupAbnormality)'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='attributeGroupAbnormality'
		DESCR='param: XSDAttributeGroupAbnormality'
		MATCHING_ET='xs:%attributeGroup'
		INIT_EXPR='attrGroupAbnormality = (XSDAttributeGroupAbnormality) stockSection.param;

instanceOf("xs:%attributeGroupRef") ?
  attrGroupAbnormality.qName = getAttrQNameValue("ref")
:
  attrGroupAbnormality.attrGroup = XSDAttributeGroup (contextElement)'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")
&&
instanceOf("xs:%attributeGroupRef")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='complexType'
		DESCR='param: XSDType'
		MATCHING_ET='xs:%complexType'
		INIT_EXPR='xsdType = (XSDType) stockSection.param;

instanceOf("xs:complexType") ? {
  xsdType.qName = getServiceAttr("qName").toQName();

  hasServiceAttr("version") ?
    xsdType.nameExt = "(ver " + getServiceAttr("version").toInt() + ")";

  xsdType.abstract = getAttrBooleanValue("abstract");
};

xsdType.mixed = getAttrBooleanValue("mixed");'
		NO_DIRECT_OUTPUT
		OUTPUT_CHECKER_EXPR='checkElementsByKey (
  "xsd-content-model-element-defs", contextElement.id
) ? 1 : -1'
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<FOLDER>
				DESCR='content model (child elements)'
				<BODY>
					<FOLDER>
						CONTEXT_ELEMENT_EXPR='findChild ("xs:simpleContent")'
						MATCHING_ET='xs:simpleContent'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<QUERY_SEC>
								CONTEXT_ELEMENT_EXPR='findChild ("xs:restriction | xs:extension")'
								MATCHING_ETS={'xs:extension%xs:simpleExtensionType';'xs:restriction%xs:simpleRestrictionType'}
								BREAK_PARENT_BLOCK='when-executed'
								EXPR='(typeQName = getAttrQNameValue("base")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  baseType = findElementByKey (
               "xsd-types", 
               hasServiceAttr ("redefineID") ?
                 HashKey (typeQName, getServiceAttr ("redefineID")) : typeQName,
               BooleanQuery (checkElementByKey (
                 "main-xmls", getXMLDocument().id, mainXML
               ))
             );

  xsdType = (XSDType) stockSection.param;

  xsdType.baseType = XSDType (baseType);
  xsdType.baseTypeQName = typeQName;

  xsdType.derivation = contextElement.localName;
}'
							</QUERY_SEC>
						</BODY>
					</FOLDER>
					<FOLDER>
						CONTEXT_ELEMENT_EXPR='findChild ("xs:complexContent")'
						MATCHING_ET='xs:complexContent'
						INIT_EXPR='hasXMLAttribute("mixed") ?
  ((XSDType) stockSection.param).mixed = getAttrBooleanValue("mixed");'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<FOLDER>
								CONTEXT_ELEMENT_EXPR='findChild ("xs:restriction | xs:extension")'
								MATCHING_ETS={'xs:extension%xs:extensionType';'xs:restriction%xs:complexRestrictionType'}
								INIT_EXPR='(typeQName = getAttrQNameValue("base")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  baseType = findElementByKey (
               "xsd-types", 
               hasServiceAttr ("redefineID") ?
                 HashKey (typeQName, getServiceAttr ("redefineID")) : typeQName,
               BooleanQuery (checkElementByKey (
                 "main-xmls", getXMLDocument().id, mainXML
               ))
             );

  xsdType = (XSDType) stockSection.param;

  xsdType.baseType = XSDType (baseType);
  xsdType.baseTypeQName = typeQName;

  xsdType.derivation = contextElement.localName;
}'
								<BODY>
									<SS_CALL>
										CONTEXT_ELEMENT_EXPR='findChild ("xs:group")'
										MATCHING_ET='xs:group%xs:groupRef'
										BREAK_PARENT_BLOCK='when-executed'
										SS_NAME='groupRef'
										PARAMS_EXPR='xsdGroupRef = XSDGroupRef (contextElement);

((XSDType) stockSection.param).groupRef = xsdGroupRef;

Array (xsdGroupRef)'
									</SS_CALL>
									<SS_CALL>
										CONTEXT_ELEMENT_EXPR='findChild ("xs:%explicitGroup")'
										MATCHING_ET='xs:%explicitGroup'
										SS_NAME='compositor'
										PARAMS_EXPR='xsdCompositor = XSDCompositor (contextElement);

((XSDType) stockSection.param).compositor = xsdCompositor;

Array (xsdCompositor)'
									</SS_CALL>
								</BODY>
							</FOLDER>
						</BODY>
					</FOLDER>
					<SS_CALL>
						CONTEXT_ELEMENT_EXPR='findChild ("xs:group")'
						MATCHING_ET='xs:group%xs:groupRef'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='groupRef'
						PARAMS_EXPR='xsdGroupRef = XSDGroupRef (contextElement);

((XSDType) stockSection.param).groupRef = xsdGroupRef;

Array (xsdGroupRef)'
					</SS_CALL>
					<SS_CALL>
						CONTEXT_ELEMENT_EXPR='findChild ("xs:%explicitGroup")'
						MATCHING_ET='xs:%explicitGroup'
						SS_NAME='compositor'
						PARAMS_EXPR='xsdCompositor = XSDCompositor (contextElement);

((XSDType) stockSection.param).compositor = xsdCompositor;

Array (xsdCompositor)'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<ELEMENT_ITER>
				TARGET_ETS={'xs:%attribute';'xs:%attributeGroup';'xs:anyAttribute'}
				SCOPE='custom'
				ELEMENT_ENUM_EXPR='findElementsByKey ("xsd-content-model-attribute-defs", contextElement.id)'
				<BODY>
					<SS_CALL>
						MATCHING_ET='xs:attribute%xs:attribute'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='attribute'
						PARAMS_EXPR='xsdType = (XSDType) stockSection.param;

xsdAttr = XSDAttribute (contextElement, xsdType);

(findPredecessorByType("xs:%complexType").id == stockSection.contextElement.id) ?
{
   xsdType.ownAttrs.addElement (xsdAttr)
} : {
  ! hasAttrValue("use", "prohibited") ?
    xsdType.inheritedAttrs.addElement (xsdAttr);
};

! hasAttrValue("use", "prohibited") ?
  xsdType.actualAttrs.addElement (xsdAttr);

Array (xsdAttr)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:anyAttribute'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='anyAttribute'
						PARAMS_EXPR='xsdType = (XSDType) stockSection.param;
xsdAnyAttr = XSDAttributeWildcard (contextElement, xsdType);

(findPredecessorByType("xs:%complexType").id == stockSection.contextElement.id)
  ? xsdType.ownAttrs.addElement (xsdAnyAttr)
  : xsdType.inheritedAttrs.addElement (xsdAnyAttr);

xsdType.actualAttrs.addElement (xsdAnyAttr);

Array (xsdAnyAttr)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:%attributeGroup'
						SS_NAME='attributeGroupAbnormality'
						PARAMS_EXPR='xsdType = (XSDType) stockSection.param;
attrGroupAbnormality = XSDAttributeGroupAbnormality (contextElement, xsdType);

xsdType.ownAttrs.addElement (attrGroupAbnormality);
xsdType.actualAttrs.addElement (attrGroupAbnormality);

Array (attrGroupAbnormality)'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='compositor'
		DESCR='param: XSDCompositor'
		MATCHING_ET='xs:%explicitGroup'
		INIT_EXPR='xsdCompositor = (XSDCompositor) stockSection.param;
xsdCompositor.type = contextElement.localName;

xsdCompositor.minOccurs = getAttrStringValue("minOccurs");
xsdCompositor.maxOccurs = getAttrStringValue("maxOccurs");'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<ELEMENT_ITER>
				TARGET_ETS={'xs:%group';'xs:%localElement';'xs:any'}
				SCOPE='simple-location-rules'
				RULES={
					'* -> (xs:%group|xs:%localElement|xs:any)';
				}
				<BODY>
					<SS_CALL>
						MATCHING_ET='xs:%groupRef'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='groupRef'
						PARAMS_EXPR='xsdGroupRef = XSDGroupRef (contextElement);
((XSDCompositor) stockSection.param).particles.addElement (xsdGroupRef);

Array (xsdGroupRef)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:%explicitGroup'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='compositor'
						PARAMS_EXPR='xsdCompositor = XSDCompositor (contextElement);
((XSDCompositor) stockSection.param).particles.addElement (xsdCompositor);

Array (xsdCompositor)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:%localElement'
						BREAK_PARENT_BLOCK='when-executed'
						SS_NAME='element'
						PARAMS_EXPR='xsdElement = XSDElement (contextElement);
((XSDCompositor) stockSection.param).particles.addElement (xsdElement);

Array (xsdElement)'
					</SS_CALL>
					<SS_CALL>
						MATCHING_ET='xs:any'
						SS_NAME='any'
						PARAMS_EXPR='xsdAny = XSDElementWildcard (contextElement);
((XSDCompositor) stockSection.param).particles.addElement (xsdAny);

Array (xsdAny)'
					</SS_CALL>
				</BODY>
			</ELEMENT_ITER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='element'
		DESCR='param: XSDElement'
		MATCHING_ET='xs:%localElement'
		INIT_EXPR='xsdElement = (XSDElement) stockSection.param;

xsdElement.qName = getServiceAttr("qName").toQName();

xsdElement.minOccurs = getAttrStringValue("minOccurs");
xsdElement.maxOccurs = getAttrStringValue("maxOccurs");'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<QUERY_SEC>
				DESCR='if a global element reference specified'
				COND='hasAttr("ref")'
				BREAK_PARENT_BLOCK='when-executed'
				EXPR='(elemQName = getAttrQNameValue("ref")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  globalElement = findElementByKey (
                    "xsd-global-elements", 
                    elemQName,
                    BooleanQuery (checkElementByKey (
                      "main-xmls", getXMLDocument().id, mainXML)
                    )
                  );

  xsdElement = (XSDElement) stockSection.param;

  xsdElement.qName = elemQName;
  xsdElement.globalElement = XSDGlobalElement (globalElement);

  getBooleanParam("DiagramKit.show.properties") &&
  getBooleanParam("DiagramKit.show.properties.element") ?
    callStockSection ("Properties (element)", Array (xsdElement, globalElement));
}'
			</QUERY_SEC>
			<SS_CALL>
				COND='getBooleanParam("DiagramKit.show.properties") &&
getBooleanParam("DiagramKit.show.properties.element")'
				SS_NAME='Properties (element)'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<QUERY_SEC>
				DESCR='if a global type specified'
				COND='hasAttr("type")'
				BREAK_PARENT_BLOCK='when-executed'
				EXPR='(typeQName = getAttrQNameValue("type")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  type = findElementByKey (
           "xsd-types", 
           typeQName,
           BooleanQuery (checkElementByKey (
             "main-xmls", getXMLDocument().id, mainXML)
           )
         );

  xsdElement = (XSDElement) stockSection.param;

  xsdElement.type = XSDType (type);
  xsdElement.typeQName = typeQName;
}'
			</QUERY_SEC>
			<FOLDER>
				DESCR='otherwise, anonymous type'
				CONTEXT_ELEMENT_EXPR='findChild ("xs:%complexType | xs:%simpleType")'
				MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
				INIT_EXPR='((XSDElement) stockSection.param).type = XSDType (contextElement);'
				<BODY>
					<SS_CALL>
						MATCHING_ET='xs:%localComplexType'
						SS_NAME='complexType'
						PARAMS_EXPR='Array (
  ((XSDElement) stockSection.param).type
)'
					</SS_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='globalAttribute'
		DESCR='param: XSDGlobalAttribute'
		MATCHING_ET='xs:attribute'
		INIT_EXPR='xsdAttr = (XSDGlobalAttribute) stockSection.param;
xsdAttr.qName = getServiceAttr("qName").toQName();'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<SS_CALL>
				COND='getBooleanParam("DiagramKit.show.properties") &&
getBooleanParam("DiagramKit.show.properties.attribute")'
				SS_NAME='Properties (attribute)'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='globalElement'
		DESCR='param: XSDGlobalElement'
		MATCHING_ET='xs:element'
		INIT_EXPR='xsdElement = (XSDGlobalElement) stockSection.param;

xsdElement.qName = getServiceAttr("qName").toQName();
xsdElement.abstract = getAttrBooleanValue("abstract");

// members of a substitution group headed by this element
iterate (
  sortVector (
    findElementsByKey ("xsd-substitution-group-members", contextElement.id).toVector(),
    @(GOMElement) el,
    StringQuery (toXMLName (el.getQNameServiceAttr("qName"), el)),
    false
  ),
  @(GOMElement) member,
  FlexQuery (
    xsdElement.substGroupMembers.addElement (XSDGlobalElement (member))
  )
);'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<SS_CALL>
				COND='getBooleanParam("DiagramKit.show.properties") &&
getBooleanParam("DiagramKit.show.properties.element")'
				SS_NAME='Properties (element)'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<QUERY_SEC>
				DESCR='if a global type specified'
				COND='hasAttr("type")'
				BREAK_PARENT_BLOCK='when-executed'
				EXPR='(typeQName = getAttrQNameValue("type")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  type = findElementByKey (
           "xsd-types", 
           typeQName,
           BooleanQuery (checkElementByKey (
             "main-xmls", getXMLDocument().id, mainXML)
           )
         );

  xsdElement = (XSDGlobalElement) stockSection.param;

  xsdElement.type = XSDType (type);
  xsdElement.typeQName = typeQName;
}'
			</QUERY_SEC>
			<FOLDER>
				DESCR='in case of anonymous type'
				CONTEXT_ELEMENT_EXPR='findChild ("xs:%complexType | xs:%simpleType")'
				MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
				INIT_EXPR='((XSDGlobalElement) stockSection.param).type = XSDType (contextElement);'
				BREAK_PARENT_BLOCK='when-executed'
				<BODY>
					<SS_CALL>
						MATCHING_ET='xs:%localComplexType'
						SS_NAME='complexType'
						PARAMS_EXPR='Array (
  ((XSDGlobalElement) stockSection.param).type
)'
					</SS_CALL>
				</BODY>
			</FOLDER>
			<QUERY_SEC>
				DESCR='otherwise, no type is specified
--
in that case, the type a global element may be inherited from the head element of the substitution group this element belongs to'
				EXPR='(type = findElementByKey ("xsd-element-types", contextElement.id)) != null ?
{
  xsdElement = (XSDGlobalElement) stockSection.param;

  type.instanceOf("#CUSTOM") ?
  {
    typeQName = type.value.toQName();
  } : {
    typeQName = type.getServiceAttr("qName").toQName();
    xsdElement.type = XSDType (type);
  };

  typeQName != null ?
    xsdElement.typeQName = typeQName.adaptQName (stockSection.contextElement);
}'
			</QUERY_SEC>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='group'
		DESCR='param: XSDGroup'
		MATCHING_ET='xs:group'
		INIT_EXPR='xsdGroup = (XSDGroup) stockSection.param;

xsdGroup.qName = getServiceAttr("qName").toQName();

hasServiceAttr("version") ?
  xsdGroup.nameExt = "(ver " + getServiceAttr("version").toInt() + ")";'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
			<SS_CALL>
				CONTEXT_ELEMENT_EXPR='findChild ("xs:%explicitGroup")'
				MATCHING_ET='xs:%explicitGroup'
				SS_NAME='compositor'
				PARAMS_EXPR='xsdCompositor = XSDCompositor (contextElement);

((XSDGroup) stockSection.param).compositor = xsdCompositor;

Array (xsdCompositor)'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='groupRef'
		DESCR='param: XSDGroupRef'
		MATCHING_ET='xs:%groupRef'
		INIT_EXPR='(groupQName = getAttrQNameValue("ref")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  group = findElementByKey (
            "xsd-groups", 
            hasServiceAttr ("redefineID") ?
              HashKey (groupQName, getServiceAttr ("redefineID")) : groupQName,
            BooleanQuery (checkElementByKey (
              "main-xmls", getXMLDocument().id, mainXML)
            )
          );

  xsdGroupRef = (XSDGroupRef) stockSection.param;

  xsdGroupRef.qName = groupQName;
  xsdGroupRef.group = XSDGroup (group);

  xsdGroupRef.minOccurs = getAttrStringValue("minOccurs");
  xsdGroupRef.maxOccurs = getAttrStringValue("maxOccurs");
}'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
	<QUERY_SEC>
		SS_NAME='Properties (attribute)'
		DESCR='param[0]: XSDComponent, representing the XSD attribute, whose properties are required
param[1]: the referenced global XSD attribute in the case of a local reference, otherwise null
--
the generator\'s content element received by this stock-section will be the GOMElement representing the XSD attribute, whose properties are required'
		MATCHING_ET='xs:%attribute'
		EXPR='xsdComp = (XSDComponent) stockSection.params [0];

(attrDef = (GOMElement) stockSection.params [1]) != null ? {
  isRef = true
} : {
  attrDef = contextElement;
  isRef = false
};

(attrTypeQName = attrDef.getAttrQNameValue("type")) != null ? 
{ 
  mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

  attrType = findElementByKey (
               "xsd-types",
               attrTypeQName,
               BooleanQuery (checkElementByKey ("main-xmls", getXMLDocument().id, mainXML))
             );

  hasPredefinedType = isXSPredefinedType (attrTypeQName);
} : {
  attrType = attrDef.findChild ("xs:simpleType");
  hasPredefinedType = false;
};

attrTypeID = attrType.id;

iterate (
  getArrayParam("DiagramKit.show.properties.attribute.rows"),
  @(String) propRowSpec,
  FlexQuery ({
    specParts = parseStringList (propRowSpec, \':\');

    propSpec = specParts [0];
    rowTitle = specParts [1];

    propNames = parseStringList (propSpec, \'/\');

    propNames.length() > 1 ? {
      propCount = 2;
      rowTitle = rowTitle ?? propNames[0] + \'/\' + propNames[1];
    } : {
      propCount = 1;
      rowTitle = rowTitle ?? propNames[0];
    };

    xsdPropRow = null;

    propIndex = 0;
    repeat (BooleanQuery ({
      propName = (String) propNames.elementAt (propIndex);

      hasValue = false;
      value = null;
      refComp = null;

      value = (String) switch (propName, SwitchCase[] (

        SwitchCase ("id", FlexQuery (
          hasXMLAttribute ("id") ? getAttrStringValue ("id") :
            isRef && attrDef.hasXMLAttribute ("id") ? attrDef.getAttrStringValue ("id")
        )),

        SwitchCase ("default", FlexQuery (
          (hasValue = hasXMLAttribute ("default")) ? getAttrStringValue("default") :
            (hasValue = isRef && attrDef.hasXMLAttribute ("default")) ? attrDef.getAttrStringValue("default")
        )),

        SwitchCase ("fixed", FlexQuery (
          (hasValue = isRef && attrDef.hasXMLAttribute ("fixed")) ? attrDef.getAttrStringValue("fixed") :
            (hasValue = hasXMLAttribute ("fixed")) ? getAttrStringValue("fixed")
        )),

        SwitchCase (
          Array ("form", "use"),
          FlexQuery (hasXMLAttribute (propName) ? getAttrStringValue (propName))
        ),

        SwitchCase ("type", FlexQuery ({
          refComp = XSDType (attrType);
          attrTypeQName != null ? attrTypeQName.toXMLName() : attrType != null ? {
            baseTypeNames = collectValuesByElements (
              filterElementsByKey (
                attrType.findElementsByLRules (
                  LocationRule[] (
                    LocationRule (
                      \'xs:%simpleType -> xs:list / { Enum (
                         hasAttr("itemType") ? CustomElement (getAttrQNameValue("itemType")) : findChild("xs:simpleType")
                       )}::(#CUSTOM | xs:%simpleType)\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:restriction / { Enum (
                         hasAttr("base") ? CustomElement (getAttrQNameValue("base")) : findChild("xs:simpleType")
                       )}::(#CUSTOM | xs:%simpleType)\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:union / { getAttrQNameValues("memberTypes").toCustomElements() }::#CUSTOM\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:union / xs:simpleType\',
                      true
                    )
                  ),
                  "#CUSTOM"
                ),
                FlexQuery (contextElement.value)
              )
            );
            "(" + (baseTypeNames.length() > 0 ? baseTypeNames.mergeStrings (" | ") : "anonymous") + ")"
          }
        })),

        SwitchCase ("derivedBy", FlexQuery (
          attrTypeQName == null ? {
            drv = attrType.findChild ("xs:restriction | xs:list | xs:union");
            drv.instanceOf ("xs:restriction") ? "restriction" : 
              drv.instanceOf ("xs:list") ? "list" : drv.instanceOf ("xs:union") ? "union"
          }
        )),

        SwitchCase (
          Array ("enum", "pattern"),
          FlexQuery (! hasPredefinedType ? {

            separator = \' \';

            facetETs = (GOMElementType[]) switch (propName, SwitchCase[] (
              SwitchCase (
                "enum",
                FlexQuery ({
                  separator = getStringParam ("DiagramKit.show.properties.value.separator.enum");
                  getElementTypes ("xs:enumeration")
                })
              ),
              SwitchCase (
                "pattern",
                FlexQuery ({
                  separator = getStringParam ("DiagramKit.show.properties.value.separator.pattern");
                  getElementTypes ("xs:pattern")
                })
              )
            ));

            facets = findElementsByKey ("xsd-facets", attrTypeID, BooleanQuery (instanceOf (facetETs)));

            facets.hasNext() ?
            {
              hasValue = true;
              firstFacet = facets.next();
              refComp = XSDComponent ((GOMElement) firstFacet);
              facets = Enum (firstFacet, facets);
            };

            mergeStrings (collectAttrValues (facets, "value"), separator)
          })
        ),

        SwitchCase (
          Array (
            "fracDig", "length",
            "maxExcl", "minExcl", "maxIncl", "minIncl",
            "maxLen", "minLen", "totalDig", "whiteSp"
          ),
          FlexQuery (! hasPredefinedType ? {

            facetETs = (GOMElementType[]) switch (propName, SwitchCase[] (
              SwitchCase ("fracDig",  getElementTypes ("xs:fractionDigits")),
              SwitchCase ("length",   getElementTypes ("xs:length")),
              SwitchCase ("maxExcl",  getElementTypes ("xs:maxExclusive")),
              SwitchCase ("minExcl",  getElementTypes ("xs:minExclusive")),
              SwitchCase ("maxIncl",  getElementTypes ("xs:maxInclusive")),
              SwitchCase ("minIncl",  getElementTypes ("xs:minInclusive")),
              SwitchCase ("maxLen",   getElementTypes ("xs:maxLength")),
              SwitchCase ("minLen",   getElementTypes ("xs:minLength")),
              SwitchCase ("totalDig", getElementTypes ("xs:totalDigits")),
              SwitchCase ("whiteSp",  getElementTypes ("xs:whiteSpace"))
            ));

            facets = findElementsByKey ("xsd-facets", attrTypeID, BooleanQuery (instanceOf (facetETs)));
            mergeStrings (collectAttrValues (facets, "value"), " ")
          })
        )
      ));

      value != "" || hasValue ?
      {
        (xsdPropRow == null) ?
          xsdPropRow = xsdComp.addPropertyRow (rowTitle, propCount > 1);

        xsdProp = xsdPropRow.doubleContent ? xsdPropRow.properties [propIndex] : xsdPropRow.property;

        xsdProp.value = value;
        xsdProp.refComp = refComp;
      };

      (propIndex += 1) < propCount
    }))
  })
)'
	</QUERY_SEC>
	<QUERY_SEC>
		SS_NAME='Properties (element)'
		DESCR='param[0]: XSDComponent, representing the XSD element, whose properties are required
param[1]: the referenced global XSD element in the case of a local reference, otherwise null
--
the generator\'s content element received by this stock-section will be the GOMElement representing the XSD element, whose properties are required'
		MATCHING_ET='xs:%element'
		EXPR='xsdComp = (XSDComponent) stockSection.params [0];

(elemDef = (GOMElement) stockSection.params [1]) != null ? {
  isRef = true
} : {
  elemDef = contextElement;
  isRef = false
};

mainXML = findElementByKey ("main-xmls", getXMLDocument().id);
mainXMLFilter = BooleanQuery (checkElementByKey ("main-xmls", getXMLDocument().id, mainXML));

(elemTypeQName = elemDef.getAttrQNameValue("type")) != null ?
{ 
  elemType = findElementByKey ("xsd-types", elemTypeQName, mainXMLFilter);
  hasPredefinedType = isXSPredefinedType (elemTypeQName);
}
: (elemType = elemDef.findChild ("xs:simpleType | xs:complexType")) != null ?
    hasPredefinedType = false
: {
  elemType = findElementByKey ("xsd-element-types", elemDef.id);

  elemTypeQName = elemType.instanceOf("#CUSTOM") ? 
                    elemType.value.toQName() : elemType.getQNameServiceAttr("qName");

  ! (hasPredefinedType = isXSPredefinedType (elemTypeQName)) ? 
    elemTypeQName = elemTypeQName.adaptQName();
};

elemTypeID = elemType.id;

iterate (
  getArrayParam("DiagramKit.show.properties.element.rows"),
  @(String) propRowSpec,
  FlexQuery ({
    specParts = parseStringList (propRowSpec, \':\');

    propSpec = specParts [0];
    rowTitle = specParts [1];

    propNames = parseStringList (propSpec, \'/\');
    propNames.length() > 1 ? {
      propCount = 2;
      rowTitle = rowTitle ?? propNames[0] + \'/\' + propNames[1];
    } : {
      propCount = 1;
      rowTitle = rowTitle ?? propNames[0];
    };

    xsdPropRow = null;

    propIndex = 0;
    repeat (BooleanQuery ({
      propName = (String) propNames.elementAt (propIndex);

      hasValue = false;
      value = null;
      refComp = null;
      linkParams = null;

      value = switch (propName, SwitchCase[] (

        SwitchCase ("id", FlexQuery (
          hasXMLAttribute ("id") ? getAttrStringValue ("id") :
            isRef && elemDef.hasXMLAttribute ("id") ? elemDef.getAttrStringValue ("id")
        )),

        SwitchCase (
          Array ("default", "fixed" ),
          FlexQuery ((hasValue = elemDef.hasXMLAttribute (propName)) ? elemDef.getAttrValue (propName))
        ),

        SwitchCase (
          Array ("form", "nillable", "final", "block" ),
          FlexQuery (elemDef.hasXMLAttribute (propName) ? elemDef.getAttrValue (propName))
        ),

        SwitchCase ("type", FlexQuery ({
          refComp = XSDType (elemType);
          elemTypeQName != null ? elemTypeQName.toXMLName()
          :
          elemType.instanceOf ("xs:%complexType") ? {
            baseTypeQName = elemType.getValueByLPath (
              \'(xs:simpleContent | xs:complexContent) / (xs:restriction | xs:extension) / @base\'
            ).toQName();
            baseTypeQName != null ? "(" + baseTypeQName.toXMLName() + ")" : "anonymous"
          }
          :
          elemType.instanceOf ("xs:%simpleType") ? {
            baseTypeNames = collectValuesByElements (
              filterElementsByKey (
                elemType.findElementsByLRules (
                  LocationRule[] (
                    LocationRule (
                      \'xs:%simpleType -> xs:list / { Enum (
                         hasAttr("itemType") ? CustomElement (getAttrQNameValue("itemType")) : findChild("xs:simpleType")
                       )}::(#CUSTOM | xs:%simpleType)\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:restriction / { Enum (
                         hasAttr("base") ? CustomElement (getAttrQNameValue("base")) : findChild("xs:simpleType")
                       )}::(#CUSTOM | xs:%simpleType)\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:union / { getAttrQNameValues("memberTypes").toCustomElements() }::#CUSTOM\',
                      true
                    ),
                    LocationRule (
                      \'xs:%simpleType -> xs:union / xs:simpleType\',
                      true
                    )
                  ),
                  "#CUSTOM"
                ),
                FlexQuery (contextElement.value)
              )
            );
            baseTypeNames.length() > 0 ? "(" + baseTypeNames.mergeStrings (" | ") + ")" : "anonymous"
          }
        })),

        SwitchCase ("derivedBy", FlexQuery (
          elemTypeQName == null ? {
            drv = elemType.findElementByLRules (
              LocationRule[] (
                LocationRule (
                  \'xs:%complexType -> (xs:simpleContent | xs:complexContent) / (xs:restriction | xs:extension)\',
                  false
                ),
                LocationRule (
                  \'xs:%simpleType -> (xs:restriction | xs:list | xs:union)\',
                  false
                )
              )
            );

            drv.instanceOf ("~xs:extension") ? "extension" :
              drv.instanceOf ("~xs:restriction") ? "restriction" : 
                drv.instanceOf ("xs:list") ? "list" : drv.instanceOf ("xs:union") ? "union"
          }
        )),

        SwitchCase ("content", FlexQuery (
          elemType.instanceOf ("xs:%complexType") ?
            /* According to W3C spec, the mixed content is determined by boolean value:
             1. If the mixed attribute is present on <complexContent>, then its actual value;
             2. If the mixed attribute is present on <complexType>, then its actual value;
             3. otherwise false.
            */
            ((cc = elemType.findChild ("xs:complexContent")) != null && cc.hasAttr ("mixed") ?
              cc.getAttrBooleanValue("mixed") : elemType.getAttrBooleanValue("mixed")) ? "mixed"
            :
            elemType.hasChild("xs:simpleContent") && 
              ! (isRef && elemDef.hasAttrValue("fixed", "") || hasAttrValue("fixed", "")) ? "simple"
            :
            // check if there are any content elements
            checkElementsByKey ("xsd-content-model-elements", elemTypeID) ? "complex"
            :
            "empty"
          :
          elemType.instanceOf ("xs:%simpleType") ?
            isRef && elemDef.hasAttrValue("fixed", "") || hasAttrValue("fixed", "") ? "empty" : "simple"
          :
          hasPredefinedType ? elemTypeQName.localName == "anyType" ? "mixed" :
            isRef && elemDef.hasAttrValue("fixed", "") || hasAttrValue("fixed", "") ? "empty" : "simple"
        )),

        SwitchCase ("mixed", FlexQuery (
          (elemType.instanceOf ("xs:%complexType") ?
             (cc = elemType.findChild ("xs:complexContent")) != null && cc.hasAttr ("mixed") ?
               cc.getAttrBooleanValue("mixed") : elemType.getAttrBooleanValue("mixed")
           :
           hasPredefinedType && elemTypeQName.localName == "anyType") ? true : null
        )),

        SwitchCase ("substGrp", FlexQuery (
          (headQName = elemDef.getAttrQNameValue("substitutionGroup")) != null ? {
            refComp = XSDGlobalElement (findElementByKey ("xsd-global-elements", headQName, mainXMLFilter));
            headQName.toXMLName()
          }
        )),

        SwitchCase ("substWith", FlexQuery (
          (e = findElementsByKey ("xsd-substituting-elements", elemDef.id)).hasNext() ? {

            refComp = XSDGlobalElement (elemDef);
            
            v = sortVector (
                  convertVector (
                    e.toVector(),
                    @(GOMElement) el,
                    FlexQuery (el.getQNameServiceAttr("qName").toXMLName())
                  ),
                  @(String) name,
                  StringQuery (name),
                  false
                );

            count = v.size();

            linkTitle = mergeStrings (v, ", ", 20);
            count > 20 ? linkTitle = linkTitle + ", ... (click to see details)";

            linkParams = Array ("substituting-elements", linkTitle);
            toString (count) + \' \' + (count == 1 ? "element" : "elements")
          }
        )),

        SwitchCase (
          Array ("enum", "pattern"),
          FlexQuery (! hasPredefinedType ? {

            separator = \' \';

            facetETs = (GOMElementType[]) switch (propName, SwitchCase[] (
              SwitchCase (
                "enum",
                FlexQuery ({
                  separator = getStringParam ("DiagramKit.show.properties.value.separator.enum");
                  getElementTypes ("xs:enumeration")
                })
              ),
              SwitchCase (
                "pattern",
                FlexQuery ({
                  separator = getStringParam ("DiagramKit.show.properties.value.separator.pattern");
                  getElementTypes ("xs:pattern")
                })
              )
            ));

            facets = findElementsByKey ("xsd-facets", elemTypeID, BooleanQuery (instanceOf (facetETs)));

            facets.hasNext() ?
            {
              hasValue = true;
              firstFacet = facets.next();
              refComp = XSDComponent ((GOMElement) firstFacet);
              facets = Enum (firstFacet, facets);
            };

            mergeStrings (collectAttrValues (facets, "value"), separator)
          })
        ),

        SwitchCase (
          Array (
            "fracDig", "length",
            "maxExcl", "minExcl", "maxIncl", "minIncl",
            "maxLen", "minLen", "totalDig", "whiteSp"
          ),
          FlexQuery (! hasPredefinedType ? {

            facetETs = (GOMElementType[]) switch (propName, SwitchCase[] (
              SwitchCase ("fracDig",  getElementTypes ("xs:fractionDigits")),
              SwitchCase ("length",   getElementTypes ("xs:length")),
              SwitchCase ("maxExcl",  getElementTypes ("xs:maxExclusive")),
              SwitchCase ("minExcl",  getElementTypes ("xs:minExclusive")),
              SwitchCase ("maxIncl",  getElementTypes ("xs:maxInclusive")),
              SwitchCase ("minIncl",  getElementTypes ("xs:minInclusive")),
              SwitchCase ("maxLen",   getElementTypes ("xs:maxLength")),
              SwitchCase ("minLen",   getElementTypes ("xs:minLength")),
              SwitchCase ("totalDig", getElementTypes ("xs:totalDigits")),
              SwitchCase ("whiteSp",  getElementTypes ("xs:whiteSpace"))
            ));

            facets = findElementsByKey ("xsd-facets", elemTypeID, BooleanQuery (instanceOf (facetETs)));
            mergeStrings (collectAttrValues (facets, "value"), " ")
          })
        )
      )).toString();

      value != "" || hasValue ?
      {
        (xsdPropRow == null) ?
          xsdPropRow = xsdComp.addPropertyRow (rowTitle, propCount > 1);

        xsdProp = xsdPropRow.doubleContent ? xsdPropRow.properties [propIndex] : xsdPropRow.property;

        xsdProp.value = value;
        xsdProp.refComp = refComp;
        xsdProp.linkParams = linkParams;
      };

      (propIndex += 1) < propCount
    }))
  })
)'
	</QUERY_SEC>
	<FOLDER>
		SS_NAME='simpleType'
		DESCR='param: XSDType'
		MATCHING_ET='xs:simpleType'
		INIT_EXPR='xsdType = (XSDType) stockSection.param;

xsdType.qName = getServiceAttr("qName").toQName();

hasServiceAttr("version") ?
  xsdType.nameExt = "(ver " + getServiceAttr("version").toInt() + ")";'
		NO_DIRECT_OUTPUT
		<BODY>
			<SS_CALL>
				COND='! hasParamValue("DiagramKit.show.annotation", "none")'
				CONTEXT_ELEMENT_EXPR='findChild("xs:annotation")'
				MATCHING_ET='xs:annotation'
				SS_NAME='annotation'
				PARAMS_EXPR='stockSection.params'
			</SS_CALL>
		</BODY>
	</FOLDER>
</STOCK_SECTIONS>
CHECKSUM='LLRv3?HF9Esp+dMqBrvULnVHC5HuRj31jO3Eqy6V0vg'
</FLEXDOCXYZ_TEMPLATE>