<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2015-04-12 07:05:40'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ETS={'#DOCUMENTS';'xs:schema'}
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$scope';
		param.description='Indicates the scope of the main document for which this template is called:
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='Object';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.sorting.xsd.comps';
		param.title='XSD Components';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp';
		param.title='XSD Components';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element';
		param.title='Elements';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel';
		param.title='Separate Top-Level Elements';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.topLevel.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local';
		param.title='Local Elements';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='enum';
		param.enum.values='all;complexType;none';
	}
	PARAM={
		param.name='gen.xsd.comp.element.local.unifyByType';
		param.title='Unify By Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.elementNameExt';
		param.title='Element Name Extensions';
		param.type='enum';
		param.enum.values='always;repeating;never';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.comp';
		param.title='Component Details';
		param.group='true';
		param.group.defaultState='expanded';
		param.type='boolean';
	}
	PARAM={
		param.name='page.start.comp.xsd';
		param.title='XSD Component';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.comp.xsd.element';
		param.title='Element';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 2';
		style.id='ps1';
		text.font.size='20';
		text.font.style.bold='true';
		par.alignment='Center';
		par.bkgr.opaque='true';
		par.bkgr.color='#EEEEEE';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.bottom='12';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note (Large)';
		style.id='cs2';
		style.css.className='head-note-large';
		text.font.size='14';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator (Large)';
		style.id='cs3';
		style.css.className='head-note-sp-large';
		text.font.size='14';
		text.font.style.bold='false';
		text.spacing.letter='4';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs4';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs5';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.default.font='Times New Roman';
	doc.hlink.style.link='cs4';
}
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			sec.outputStyle='table';
			text.style='cs5';
			table.sizing='Relative';
			table.cell.padding.horz='0.8';
			table.cell.padding.vert='0';
			table.border.style='none';
			table.border.bottom.style='solid';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
						FMT={
							ctrl.size.width='417.8';
							ctrl.size.height='18';
						}
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='Elements'
						FMT={
							ctrl.size.width='81.8';
							ctrl.size.height='18';
							tcell.align.horz='Right';
							tcell.option.nowrap='true';
						}
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<ELEMENT_ITER>
		DESCR='top-level elements'
		COND='getBooleanParam("gen.xsd.comp.element.topLevel")'
		TARGET_ET='xs:element'
		SCOPE='advanced-location-rules'
		RULES={
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "namespace")] -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema';
			'xs:schema -> xs:element',recursive;
		}
		FILTER='getServiceAttr("isTopLevel").toBoolean()
&&
findElementByKey (
  "xsd-globally-documented-comps", contextElement.id
).id == contextElement.id'
		SORTING='by-expr'
		SORTING_KEY={expr='qName = getServiceAttr("qName").toQName();
hasParamValue("$scope", "namespace") ? qName.localName : qName.toXMLName()',ascending}
		SORTING_COND='getBooleanParam("gen.xsd.comp.element.topLevel.sorting")'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.comp")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Top-Level Elements'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs3';
								}
							</SEPARATOR>
							<TEXT_CTRL>
								TEXT='(root element candidates)'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("page.start.comp.xsd.element")
&&
! iterator.isFirstItem'
				<AREA>
					<PAGE_BREAK>
					</PAGE_BREAK>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='element.tpl'
				OUTPUT_DIR_EXPR='getVar("schemaFolder").toString()'
			</TEMPLATE_CALL>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				<AREA>
					<SPACER>
						FMT={
							spacer.height='20';
						}
					</SPACER>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<ELEMENT_ITER>
		DESCR='other elements'
		TARGET_ET='xs:%element'
		SCOPE='advanced-location-rules'
		RULES={
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/wsdl:definitions/wsdl:types/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "any")] -> #DOCUMENT/xs:schema[checkElementsByKey ("documented-schemas", contextElement.id)]';
			'#DOCUMENTS[hasParamValue("$scope", "namespace")] -> {findElementsByKey ("namespaces", getParam("$nsURI"))}::xs:schema/descendant::xs:%element[instanceOf("xs:element") || ! hasAttr("ref") &&
{
  form = hasAttr("form") ? getAttrValue("form")
          : findPredecessorByType("xs:schema").getAttrStringValue ("elementFormDefault");

  (form == "qualified" || getParam("$nsURI") == "")
}]';
			'#DOCUMENTS[hasParamValue("$scope", "namespace") &&
getParam("$nsURI") == ""] -> {findElementsByKey ("namespaces", "")}::xs:%localElement';
			'xs:schema -> descendant::xs:%element/{// if this is a global element, return it
instanceOf("xs:element") ? return Enum (contextElement);

// if this is a reference to global element, return empty enumeration
getAttrValue("ref") != null ? return null;

// otherwise, it is a local element

// if this local element is documented globally replace it with its unifier
// (when several local elements are unified by type, during the generation 
// all of them are represented by a single local element component -- the unifier -- 
// which may be actually even from a different schema); 
// otherwise, return the same element

el = findElementByKey ("xsd-globally-documented-comps", contextElement.id);
Enum (el != null ? el : contextElement)}::xs:%element',recursive;
		}
		FILTER='findElementByKey (
  "xsd-globally-documented-comps", contextElement.id
).id == contextElement.id
&&
(! instanceOf("xs:element") ||
 ! getBooleanParam("gen.xsd.comp.element.topLevel") ||
 ! getServiceAttr ("isTopLevel").toBoolean())'
		SORTING='by-expr'
		SORTING_KEY={expr='qName = getServiceAttr("qName").toQName();
displayName = hasParamValue("$scope", "namespace") ? qName.localName : toXMLName (qName);

instanceOf ("xs:element") 
?
  displayName  // global elements must come first
: 
  // case of local element; if name extension must be added

  hasParamValue("show.elementNameExt", "always")
  ||
  hasParamValue("show.elementNameExt", "repeating") &&
  {
    mainXML = findElementByKey ("main-xmls", getXMLDocument().id);

    mainXMLFilter = BooleanQuery (checkElementByKey (
                      "main-xmls",
                      getXMLDocument().id,
                      mainXML
                    ));

    countElementsByKey ("xsd-elements", qName, mainXMLFilter) > 1
  }
  ? displayName + "$" + callStockSection("elementNameExt") 
  : displayName + "$"',ascending}
		SORTING_COND='getBooleanParam("gen.sorting.xsd.comps")'
		FMT={
			sec.spacing.before='18';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps1';
				}
				<AREA>
					<PAGE_BREAK>
						COND='getBooleanParam("page.start.comp")'
					</PAGE_BREAK>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								COND='sectionBlock.parentBlock.outputSecCount > 0'
								TEXT='Other'
							</TEXT_CTRL>
							<TEXT_CTRL>
								TEXT='Elements'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs3';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='elementListNote.tpl'
								PASSED_PARAMS={
									'$elements.local','getStringParam("gen.xsd.comp.element.local")';
									'$elements.local.unifiedByType','! hasParamValue("gen.xsd.comp.element.local", "none")
&&
getBooleanParam("gen.xsd.comp.element.local.unifyByType")
&&
{
  localElementFilter = hasParamValue("$scope", "schema") ?
    BooleanQuery (findAncestor("xs:schema").id == rootElement.id) : null;

  findElementByFilter (
    iterator.items,
    BooleanQuery
    (
      instanceOf ("xs:%localElement")
      &&
      countElementsByKey (
        "xsd-globally-documented-comps",
        contextElement.id,
        localElementFilter
      ) > 1
    )
  ) != null
}';
								}
								FMT={
									text.style='cs2';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("page.start.comp.xsd.element")
&&
! iterator.isFirstItem'
				<AREA>
					<PAGE_BREAK>
					</PAGE_BREAK>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='element.tpl'
				OUTPUT_DIR_EXPR='getVar("schemaFolder").toString()'
			</TEMPLATE_CALL>
			<AREA_SEC>
				COND='! iterator.isLastItem'
				<AREA>
					<SPACER>
						FMT={
							spacer.height='20';
						}
					</SPACER>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='elementNameExt'
		MATCHING_ET='xs:%localElement'
		TEMPLATE_FILE='elementNameExt.tpl'
		PASSED_PARAMS={
			'$xmlContexts','Array (rootElement, contextElement)';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='LSrGT9gv4Ja15+MtZdicLLgqs9NtntoUUmV7WiMlUgQ'
</FLEXDOCXYZ_TEMPLATE>